2008-11-30 Brian Masney <masneyb@gftp.org>
	* docs/website/index.html.in docs/website/generate-gftp-website.pl
	docs/website/announce.txt ChangeLog-old - updated for the 2.0.19
	release.

	* debian/changelog - increased the version number

	* debian/* - updated new package files from Debian

	* src/uicommon/gftpui.c - fixed word wrapping in the text port when
	the application first starts up.

	* lib/sslcommon.c - fixed compiler warnings

	* src/gtk/delete_dialog.c - fixed call to g_strdup_printf() where too
	many arguments were passed in format string.

	* lib/sslcommon.c - removed duplicate data variable

	* src/uicommon/gftpui.c (gftpui_common_cmd_help) - fixed call to
	strncat() where the supplied length was too long

	* lib/ftps.c - warning fixes for the FTPS protocol when OpenSSL
	support is disabled.

2008-11-29 Brian Masney <masneyb@gftp.org>
	* More build fixes with the newest version of automake/autoconf

	* ltmain.sh - added new file

	* configure.in - warning fixes for newer versions of gettext and
	aclocal

	* lib/fsplib/* - updated to use fsplib 0.9

2008-03-28 Brian Masney <masneyb@gftp.org>
	* lib/Makefile.am lib/misc.c lib/socket-connect.c
	lib/socket-connect-getaddrinfo.c lib/socket-connect-gethostbyname.c
	lib/sockutils.c lib/gftp.h - cleaned up more of the socket functions
	and split them up into their own files. Cleanups and bug fixes to the
	DNS lookup code.

2008-03-04 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h lib/socket-connect.c lib/sockutils.c lib/protocols.c
	lib/Makefile.am lib/charset-conv.c lib/parse-dir-listing.c - split
	protocols.c into smaller files. No changes were made to the moved
	functions.

	* lib/rfc959.c - removed unneeded FIXME comment

	* lib/ftps.c - removed uncommented code

	* lib/sslcommon.c - updated FIXME comment

2008-01-24 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h lib/rfc959.c lib/protocols.c lib/misc.c - don't store
	the structure from getaddrinfo()/gethostbyname() in the 
	gftp_request structure. Instead, store the address of the current
	server in a separate pointer.

	* docs/sample.gftp/gftprc - updated the config file to the current
	release

	* lib/config_file.c lib/sshv2.c lib/sslcommon.c lib/rfc2068.c -
	s/g_malloc/g_malloc0/
	
	* src/gtk/gftp-gtk.c src/gtk/menu-items.c src/gtk/transfer.c
	src/gtk/dnd.c src/gtk/gtkui_transfer.c src/gtk/bookmarks.c
	src/uicommon/gftpui.c - s/g_malloc/g_malloc0/

2007-10-4 Brian Masney <masneyb@gftp.org>
	* MAINTAINERS - added maintainers file

	* lib/misc.c lib/protocols.c - fixed some possible problems with
	pointers when the data structures are copied.

2007-6-13 Brian Masney <masneyb@gftp.org>
	* lib/misc.c (insert_commas) lib/gftp.h - explictly cast the number to
	a long long if it is supported on the system. This fixes a problem
	where the number is converted to an integer when the sizeof (off_t) !=
	sizeof (long long)

2007-5-18 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (gftp_request_destroy) - initialize the 
	request->server_type if the request structure isn't destroyed.

	* src/gtk/gftp-gtk.c (gftp_gtk_init_request) - don't create a new
	request structure.

	* src/gtk/gtkui.c (gftpui_disconnect) - don't free the request
	structure.

	* lib/protocols.c (gftp_fd_read, gftp_fd_write) - moved FD_ZERO calls
	outside of the while loop.

2007-5-4 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (_gftp_get_next_charset) - fixed problem when multiple
	character sets are specified in the remote_charsets variable.
	(from Shixin Zeng) (partially closes #156371)

	* lib/protocols.c (_do_convert_string) - added two missing continue
	statements. This fixes a problem converting the string to a different
	character set. (from Shixin Zeng) (partially closes #156371)

2007-4-26 Brian Masney <masneyb@gftp.org>
	* src/uicommon/gftpui.c (_gftpui_common_trans_file_or_dir) - don't
	attempt to create the directory if it already exists.
	(gftpui_common_add_file_transfer) - don't ask the user what to do with
	an individual directory that needs to be transferred.

	* lib/local.c (local_mkdir) - removed code that checks for the EEXISTS
	error.

	* docs/sample.gftp/gftprc - don't automatically transfer the HTM and
	HTML files in ascii mode. Let the user explicity choose that option.
	This should help to quiet some bug reports about this.

	* src/gtk/misc-gtk.c lib/gftp.h lib/protocols.c - added
	filename_utf8_encoded flag to the gftp_file structure. If this is false,
	then don't attempt to show the filename in the GTK port. The user can
	still select the blank filename though.

2007-4-18 Brian Masney <masneyb@gftp.org>
	* src/gtk/gftp-gtk.c src/gtk/gtkui.c src/gtk/gftp-gtk.h - added new
	function gftp_gtk_init_request(). It will initialize a gftp_request
	structure inside the gftp_window_data structure.

	* src/gtk/gtkui.c (gftpui_disconnect) - completely free the gftp_request
	structure when the user disconnects from the site.

	* lib/local.c (local_mkdir) - return a successful response if errno is
	set to EEXIST.

2007-3-26 Brian Masney <masneyb@gftp.org>
	* src/gtk/gftp-gtk.c (main) - call gdk_threads_enter() earlier in the
	startup. This fixes an issue where gftp can hang on startup.
	(from Nick Mainsbridge <beatroot@optushome.com.au>)

	* src/gtk/view_dialog.c - fixed codepage related issue in the view/edit
	file feature (from Alexander Orlov <alxorlov@pochta.ru>)

2007-3-23 Brian Masney <masneyb@gftp.org>
	* autogen.sh - be sure the Makefile.am and configure.in are preserved
	after gettext is ran.

2007-3-22 Brian Masney <masneyb@gftp.org>
	* configure.in - updated to use automake 1.9.

	* cvsclean - remove more files when cleaning up the directory.

	* po/he.po - removed string that gettext was complaining about.

	* lib/gftp.h lib/protocols.c - fixed two remaining codepage related
	issues: i) The first was a problem parsing the remote_charsets option.
	ii) The second was the same IConv structure being used for the local
	and remote side. Each side now has their own IConv structure.
	(from Alexander Orlov <alxorlov@pochta.ru>)

2007-3-15 Brian Masney <masneyb@gftp.org>
	* Makefile.am configure.in - fixes so that automake 1.9 can be used.

	* lib/sshv2.c lib/gftp.h lib/rfc959.c lib/protocols.c lib/fsp.c
	lib/local.c lib/rfc2068.c src/uicommon/gftpui.c - removed fd argument
	to *_get_file(), *_put_file() and gftp_transfer_file().

	* src/gtk/transfer.c src/gtk/view_dialog.c - combined some duplicate
	code that was used to view and edit files.

	* lib/gftp.h src/gtk/transfer.c src/gtk/view_dialog.c
	src/uicommon/gftpui.c - removed is_fd member from the gftp_file
	structure.

	* lib/rfc959.c - added new function rfc959_setup_file_transfer(). It
	elimnates some duplicate code that was found by CPD.

	* lib/sshv2.c - added new function
	sshv2_send_command_and_check_response(). It eliminates some duplicate
	code that was found by CPD.

	* docs/gftp-faq.sgml - updated FAQ entry about how to check the
	latest code out of SVN.

2007-3-12 Brian Masney <masneyb@gftp.org>
	* configure.in - removed call to AC_CONFIG_HEADERS macro

	* configure.in po/LINGUAS - moved ALL_LINGUAS variable to the
	po/LINGUAS file.

	* autogen.sh - updated the flags for the call to aclocal.

	* m4/largefile.m4 - added more quoting to the macros in this file.
	It fixes errors from aclocal.

	* docs/Makefile.am - fixes for building the documentation

	* Makefile.am - removed mkinstalldirs from EXTRA_DIST

	* lib/* src/* - updated copyright dates

	* docs/sample.gftp/right.xpm docs/sample.gftp/up.xpm
	docs/sample.gftp/stop.xpm docs/sample.gftp/world.xpm
	docs/sample.gftp/sound.xpm docs/sample.gftp/deb.xpm
	docs/sample.gftp/linkdir.xpm docs/sample.gftp/linkfile.xpm
	docs/sample.gftp/rpm.xpm docs/sample.gftp/open_dir.xpm
	docs/sample.gftp/gftp.xpm docs/sample.gftp/doc.xpm
	docs/sample.gftp/down.xpm docs/sample.gftp/diff.xpm
	docs/sample.gftp/man.xpm docs/sample.gftp/img.xpm
	docs/sample.gftp/dir.xpm docs/sample.gftp/txt.xpm
	docs/sample.gftp/tar.xpm docs/sample.gftp/connect.xpm
	docs/sample.gftp/left.xpm docs/sample.gftp/dotdot.xpm
	docs/sample.gftp/gftp-logo.xpm - added new Tango styled icon theme
	(from Pavel Sefranek <pavel.sefranek@gmail.com>) (closes #414556)

	* configure.in - removed duplicate entry ar in ALL_LINGUAS

	* src/gtk/gtkui.c (gftpui_refresh) - removed unused variable

	* docs/gftp.1 - updated man page

2007-2-26 Brian Masney <masneyb@gftp.org>
	* lib/rfc959.c (rfc959_read_response) - log any commands that return
	a 4xx or 5xx with the gftp_logging_error priority. (closes #411777)

2007-2-14 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h src/gtk/gtkui.c src/uicommon/gftpui.c - added refreshing
	field to the gftp_request structure. If this is set in
	gftpui_common_cmd_open(), then the refresh command is not ran after
	a connection is made to the server. This field is currently only
	enabled when running called from the refresh function in the GTK+
	port. It fixes an issue where the refresh command was being ran
	twice. (closes #171732)

2007-2-6 Brian Masney <masneyb@gftp.org>
	* src/text/textui.c src/gtk/gtkui_transfer.c src/uicommon/gftpui.h -
	added new function: gftpui_cancel_file_transfer()

	* src/uicommon/gftpui.c - use gftpui_cancel_file_transfer() to cancel
	the file transfers

	* lib/gftp.h lib/misc.c src/gtk/transfer.c - added pointer for the
	thread_id of the transfer to the gftp_transfer structure. This will be 
	used in the GTK+ port so that the transfer can be stopped.

	* src/gtk/menu-items.c - removed duplicated code that was found by PMD

2007-2-5 Brian Masney <masneyb@gftp.org>
	* src/gtk/gftp-gtk.c (CreateMenus) - fixes for creating the transfers
	menu. This was only broken in CVS.

2007-2-4 Brian Masney <masneyb@gftp.org>
	* src/uicommon/gftpui.c - don't use a sigjmp buffer for the stop
	button. Instead, make sure a signal is delivered to the child thread
	and the thread will exit gracefully. Removed unused functions:
	_gftpui_cb_connect() and _gftpui_cb_disconnect()

	* src/gtk/gftp-gtk.c (stop_button) - set the cancel variable inside
	the gftp_request structure when the stop button is pressed.

	* lib/sshv2.c (sshv2_start_login_sequence) - when checking for
	EINTR/EGAIN, only stop trying to connect if the current operation
	was to be cancelled.

	* lib/protocols.c (_do_sleep) - don't check for EINTR/EAGAIN. Allow
	a signal to interrupt the timer.

2007-1-10 Brian Masney <masneyb@gftp.org>
	* AUTHORS README NEWS - added missing files for automake.

	* autogen.sh - added -f flag to the gettext parameters

	* docs/Makefile.am - updated to work with newer versions of automake

	* configure.in - added AC_GNU_SOURCE for gettext. This supresses some
	errors from autoconf/automake.

2006-11-30 Brian Masney <masneyb@gftp.org>
	* src/gtk/bookmarks.c (do_make_new) - don't allow creating
	bookmarks that have an empty description. (closes #367933)

	* src/gtk/bookmarks.c - changed the button order to match the
	button order in GNOME. (from Alan Horkan <horkana@maths.tcd.ie>)

	* src/gtk/bookmarks.c src/gtk/chmod_dialog.c src/gtk/gtkui_transfer.c
	src/gtk/misc-gtk.c - changed the button order to match what is in
	GNOME. (closes #310786)

	* src/gtk/bookmarks.c src/gtk/options_dialog.c - removed the apply
	button (closes #153373)

	* lib/local.c lib/protocols.c lib/rfc959.c lib/sshv2.c
	src/gtk/gftp-gtk.c src/gtk/transfer.c src/uicommon/gftpui.c - 
	removed unused variables

	* docs/sample.gftp/Makefile.am docs/sample.gftp/gftp-16x16.png
	docs/sample.gftp/gftp-22x22.png docs/sample.gftp/gftp-24x24.png
	docs/sample.gftp/gftp-32x32.png docs/sample.gftp/gftp-48x48.png
	docs/sample.gftp/gftp-scalable.svg docs/gftp.desktop
	docs/sample.gftp/gftp-mini-logo.png docs/sample.gftp/gftp-mini-logo.xpm
	- added new icons for gftp from Tango Friday theme. (closes #370627)

	* lib/options.h src/gtk/gftp-gtk.c - added new option:
	connect_to_remote_on_startup. If this is enabled, then the application
	will automatically connect to the remote server when it is started.
	(closes #330418)

	* lib/gftp.h src/uicommon/gftpui.c - when a file transfer is restarted,
	get the file size of the destination file. This is so that the file is 
	restarted at the proper position (closes #160239). 
	(_gftpui_common_do_transfer_file) - split this function into a smaller
	function: _do_transfer_block().

	* src/gtk/transfer.c - removed debugging statement

	* lib/rfc959.c lib/sshv2.c src/uicommon/gftpui.c - don't abort the
	entire file transfer if there is a permission denied at some point
	during the file transfer. Give the user an error at the very end if
	there were any errors. (closes #328550)

2006-11-16 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (gftp_get_all_subdirs) - don't return if there was a
	problem running gftp_stat_filename(). Only return if there was a fatal
	error. (closes #314929)

	* lib/config_file.c (write_comment) - added patch that fixes writing
	the comments to the config file. In some cases, an extra # was placed
	at the beginning of a line. It could cause some settings to be not 
	processed. (closes #339029)
	(from Morita Sho <bugreport_01@morita-inc.co.jp>)

	* docs/gftp-faq.sgml - added FAQ entry on how to transfer HTML files in
	binary mode using the FTP protocol.

	* docs/website/screenshots.html - updated this webpage

	* lib/gftp.h lib/protocols.c lib/local.c - added support for detecting
	recursive symbolic links. This currently only works when uploading
	files. It will only work when downloading files if the inode and device
	are properly populated. I need to check but it may be possible to get
	this information from the SSH and FSP protocols. (closes #172499)

	* lib/local.c lib/misc.c - moved uint_hash_compare() and
	uint_hash_function() from local.c to misc.c 

	* lib/protocols.c - backed out last change where hidden files aren't
	transferred in the subdirectories if the show_hidden_files option is
	disabled.

	* lib/protocols.c - skip over the hidden files when doing a recursive 
	transfer if the shown_hidden_files option is disabled. (closes #321573)

	* lib/sshv2.c (sshv2_initialize_string_with_path) - make sure the endpos
	variable is pointing to the position after the string. This fixes an
	issue with the current CVS code where files could not be transferred.
	(closes #371615)

2006-11-2 Brian Masney <masneyb@gftp.org>
	* lib/ftpcommon.h lib/ftps.c lib/rfc959.c - use the encoded filename
	length to determine how many bytes should be sent in the command to the
	remote server. Don't use the strlen() function since there may be a
	NUL character in the filename.

	ATTENTION INTERNATIONAL USERS: If you have time, can you test the
	filename encoding in CVS? All of the necessary changes were made to the
	local, FTP and SSH protocols. Let me know if you see any problems.

	* src/text/gftp-text.c src/text/gftp-text.h src/text/textui.c -
	use gftp_string_from_utf8() for the conversion between the
	various character sets.

	* lib/gftp.h lib/local.c lib/misc.c lib/protocols.c lib/rfc959.c
	lib/sshv2.c - added gftp_filename_to_utf8() and
	gftp_filename_from_utf8().
	(gftp_string_from_utf8) - added argument that will force the local
	encoding to be used.

	* src/gtk/bookmarks.c - removed UTF-8 check since the string is already
	in that format

	* lib/local.c lib/misc.c lib/sshv2.c - more improvements to make sure
	that the filename is encoded in the proper character set.

	* lib/gftp.h lib/protocols.c - added _do_convert_string(), which is
	the common code that was in gftp_string_to_utf8() and
	gftp_string_from_utf8(). 

	* lib/local.c (local_chdir) - fixed double free of the utf8 variable.
	This only occured in the CVS version.

	* src/uicommon/gftpui.c (gftpui_common_process_command) - fixes for
	detecting empty lines

2006-10-31 Brian Masney <masneyb@gftp.org>
	* lib/sshv2.c - added i18n support so that the files are encoded
	properly

	* lib/sshv2.c (sshv2_add_string_to_buf) - added length argument to
	this function.

	* lib/gftp.h lib/local.c lib/misc.c lib/protocols.c lib/rfc959.c
	src/gtk/misc-gtk.c src/text/gftp-text.c - added length argument to
	gftp_string_from_utf8() and gftp_string_to_utf8()

	* src/uicommon/gftpui.c - warning fixes

2006-10-19 Brian Masney <masneyb@gftp.org>
	* lib/fsp.c lib/gftp.h lib/local.c lib/protocols.c lib/rfc2068.c
	lib/rfc959.c lib/sshv2.c - added use_local_encoding variable to the
	gftp_request structure. This will determine if the filename should
	be converted to the local or remote character set.

	* lib/local.c - convert the file or directory to the proper locale

	* src/gtk/gtkui.c src/gtk/gtkui_transfer.c src/gtk/misc-gtk.c lib/gftp.h
	lib/misc.c lib/protocols.c - removed code that converts the filename to
	UTF8. This will be handled by the library. Removed utf8_file member from
	the gftp_file structure.

	* lib/rfc959.c - convert the file or directory from UTF8 to the proper
	locale when sending a command to the server.

	* src/uicommon/gftpui.c src/gtk/menu-items.c lib/misc.c lib/gftp.h
	(gftp_gen_ls_string) - convert the filename from UTF8 to the proper
	locale before it is displayed to the user.

2006-10-15 Brian Masney <masneyb@gftp.org>
	* src/gtk/transfer.c - split the code that checks for finished view and
	edit processes into smaller functions.

	* src/gtk/transfer.c - after a local file is edited, refresh the local
	file status (from Nathaniel M Nelson <xatmes@.net>) (closes #311166)

	* lib/fsplib/lock.c (client_init_key) - renamed the sun local variable
	to su. This was causing compile problems under Solaris.

	* lib/fsplib/lock.h - include ../../config.h

	* src/gtk/delete_dialog.c (askdel) - fixes displaying the proper number
	of directories that will be deleted to the user when there are no files
	to delete

	* src/uicommon/gftpui.c - removed debugging statements

	* lib/protocols.c (gftp_get_all_subdirs) - use S_ISDIR macro instead of
	checking the bitmask against S_IFDIR. 

	* src/uicommon/gftpui.c - split the code that transfers files into
	smaller functions.

2006-10-1 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h lib/misc.c lib/protocols.c src/gtk/misc-gtk.c 
	src/uicommon/gftpuicallbacks.c (gftp_match_filespec) - look at the
	show_hidden_files option inside this function. Use the option's value
	to determine if the file should be shown to the user.

	* lib/ftpcommon.h lib/ftps.c lib/rfc959.c - automatically reconnect to
	the server if a timeout occurs.

	* src/uicommon/gftpui.c (_gftpui_common_thread_callback) - removed
	checks for the timeouts. This is now transparently handled in the
	FTP[S]* protocols. I need to check for timeouts in the other protocols.

	* src/gtk/transfer.c src/uicommon/gftpui.c src/uicommon/gftpui.h - added
	new functions for canceling and skipping file transfers

2006-9-26 Brian Masney <masneyb@gftp.org>
	* lib/rfc959.c (rfc959_end_transfer) - close the data connection before
	the control connection is closed. (rfc959_put_next_file_chunk) - make
	sure the entire block is properly written to the server. This is due to
	the ASCII conversion (if necessary) is performed in this function. 
	Removed rfc959_set_file_time().

	* lib/protocols.c (gftp_fd_read, gftp_fd_write) - make sure the return
	value properly matches what was actually read or written to the socket

	* lib/rfc959.c - added rfc959_close_data_connection()

2006-9-15 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (gftp_fd_write, gftp_fd_read,
	gftp_fd_set_sockblocking) - added checks to make sure the file
	descriptor is not set to -1 (gftp_abort_transfer) - added FIXME
	comment

2006-9-14 Brian Masney <masneyb@gftp.org>
	* src/uicommon/gftpui.c - added _do_transfer_file(). This will take
	care of the actual file transfer. It will also make sure that the
	entire buffer has been transmitted properly.

	* lib/protocols.c lib/rfc959.c (*_put_next_file_chunk) - removed
	unneeded code that checks for a block size of 0

	* lib/rfc959.c (rfc959_syst) - disable show_hidden_files and
	resolve_remote_symlinks if the remote system type is OS/400.

2006-8-10 Brian Masney <masneyb@gftp.org>
	* lib/options.h src/gtk/gftp-gtk.c (_gftp_exit) - added new option:
	remember_last_directory. This will control whether or not the last
	directory is remembered when the application is closed. I had a lot
	of people ask for this option. I personally find it annoying, which
	is why I left the option disabled by default.

	* src/gtk/gtkui.c (gftpui_refresh) - delete the cache entry before
	checking to see if it needs to reconnect to the remote server

	* src/uicommon/gftpui.c (gftpui_common_cmd_site) - make sure the
	toggled state is enabled so that the command is prepended with the 
	SITE command

2006-09-07  Pema Geyleg  <pgeyleg@gmail.com>

	* configure.in: Added dz to ALL_LINGUAS

2006-08-27  Abel Cheung  <abel@oaka.org>

	* configure.in: Added 'zh_HK' to ALL_LINGUAS.

2006-08-21  Raivis Dejus  <orvils@gmail.com>

        * configure.in: Added "lv" (Latvian) to ALL_LINGUAS.
        * po/lv.po: Added Latvian Translation.

2006-8-8 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (gftp_parse_ls_unix) - fixes whenever a smaller than
	expected attribute field is returned (gftp_get_line) - make sure the
	end of the buffer is nul terminated properly

2006-8-2 Brian Masney <masneyb@gftp.org>
	* src/gtk/misc-gtk.c (MakeYesNoDialog, MakeEditDialog) - use
	gtk_grab_add() to make sure these dialogs have exclusive focus in
	gftp (closes #340436)

	* src/uicommon/gftpui.c (gftpui_common_add_file_transfer) - don't
	prompt the user about what to do with the file(s) that already exist if
	the overwrite_default option is enabled. This option is disabled by
	default. (closes #336232)

2006-7-29 Brian Masney <masneyb@gftp.org>
	* src/gtk/gftp-gtk.c src/gtk/transfer.c - removed some unnecessary
	updates to the toolbar

	* lib/gftp.h lib/options.h lib/protocols.c src/gtk/gftp-gtk.c
	src/gtk/misc-gtk.c src/text/gftp-text.c - removed the 
	startup_directory option. Added local_startup_directory and
	remote_startup_directory_options. These options are automatically
	saved whenever gftp exits.

	* src/gtk/bookmarks.c (edit_bookmarks) - fixed the keybindings in the
	bookmarks dialog. Also added mnemonics to all of the entries.
	(closes #329820)

	* src/gtk/gftp-gtk.c (CreateMenus) - added keybindings to most of the
	entries in the local and remote menus. Also added mnemonics to all of
	the entries.
	
2006-7-28 Brian Masney <masneyb@gftp.org>
	* src/gtk/gftp-gtk.h src/gtk/gftp-gtk.c - remember the last protocol
	that was used in the toolbar (closes #314330)

	* src/gtk/gftp-gtk.c src/gtk/gftp-gtk.h src/gtk/misc-gtk.c - warning
	fixes when creating the system menus. Removed some unused global
	variables.

2006-7-27 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (gftp_get_all_subdirs) - split this function into
	several smaller functions. Added support for getting the true file
	size if it is a symlink. Added more error handling. Fixed a segfault
	that may occur when transferring deeply nested directories

	* lib/fsp.c lib/gftp.h lib/local.c lib/protocols.c lib/rfc2068.c
	lib/rfc959.c lib/sshv2.c (*_chdir) - removed support for passing
	the request->directory into this function. There is no longer a
	need for this. (*_stat_filename) - added support for getting the
	file size
 
2006-7-21 Brian Masney <masneyb@gftp.org>
	* src/gtk/transfer.c (transfer_done) - fixed race condition that
	would occur when selecting Stop Transfer and then Start Transfer
	(from Matthieu Crapet <mcrapet@gmail.com>) (closes #348140)

	* src/gtk/gftp-gtk.c - renamed OpenURL dialog to Open Location

	* src/gtk/misc-gtk.c (update_window_info) - fixed the default protocol
	dropdown when some protocols are disabled (from
	Aurelien Jarno <aurelien@aurel32.net>) (closes #348177)

	* src/uicommon/gftpui.c (_gftpui_common_thread_callback) - don't use
	pause(). This causes a problem on systems that use NPTL. Use nanosleep()
	instead (from Aurelien Jarno <aurelien@aurel32.net>) (closes #320883)

2006-7-20 Brian Masney <masneyb@gftp.org>
	* configure.in - added configure check for fsplib. Also, removed 
	intl/Makefile and po/Makefile.in from AC_OUTPUT()

2006-7-19 Brian Masney <masneyb@gftp.org>
	* configure.in - updated version number to 2.0.19pre1. I have a long
	ways to go though before I can put out a new release of gftp. I want
	to close a lot of the bugs in Bugzilla

	* docs/sample.gftp/disconnect.xpm docs/sample.gftp/gftp-mini-logo.png -
	added more pixmaps to CVS

	* lib/misc.c (gftp_copy_request) - updated patch that makes sure the
	request->hostp structure is copied properly (from Aurelien Jarno
        <aurelien@aurel32.net>) (closes #314626)

	* src/gtk/transfer.c (check_done_process) - make sure the temporary
	files are removed in all cases (from Madhan Raj
	<raj_madan@rediffmail.com>) (closes #171459)

	* lib/misc.c (gftp_copy_request) - fixes when doing an IPv6 transfer or
	using ignore PASV address (from (from Aurelien Jarno
	<aurelien@aurel32.net>) (closes #169671)

	* lib/protocols.c (gftp_get_all_subdirs) - make sure that the memory is
	properly allocated for the directory. This fixes a crash when stopping a
	file transfer (from Rob Wilkens <robwilkens@optonline.net>) 
	(closes #303779)

	* src/gtk/gtkui.c src/text/textui.c src/uicommon/gftpui.c
	src/uicommon/gftpui.h - change the cursor to a busy cursor when 
	the protocol functions are used (from Scott Reeves <sreeves@novell.com>)
	(closes #305927)

	* src/uicommon/gftpui.c - make sure the directories have the proper
	permissions when "preserve file permissions" is enabled
	(from Aurelien Jarno <aurelien@aurel32.net>) (closes #312722)

	* src/gtk/gftp-gtk.c - fixed the default protocol dropdown when some
	protocols are disabled (from Aurelien Jarno <aurelien@aurel32.net>)
	(closes #312724)

	* src/gtk/bookmarks.c - fixed segfault in the bookmarks editor (from
	Grant Hammond <grant@f1fox.net>) (closes #329261 and #169617)

	* src/gtk/gftp-gtk.c - added patch that makes the menus closer to other
	GNOME apps (from Alan Horkan <horkana@maths.tcd.ie>) (closes #329826)

	* src/gtk/transfer.c (remove_file) - fixes for when the viewed file can
	be removed if an invalid program is specified (closes #330182)

	* lib/sslcommon.c - added support for wildcard SSL certificates (from
	Kai Blaschke <webmaster@thw-theorie.de>) (closes #339663)

2006-7-13 Brian Masney <masneyb@gftp.org>
	* src/gtk/bookmarks.c src/gtk/delete_dialog.c src/gtk/dnd.c
	src/gtk/gftp-gtk.c src/gtk/gftp-gtk.h src/gtk/gtkui.c
	src/gtk/menu-items.c src/gtk/misc-gtk.c src/gtk/options_dialog.c
	src/gtk/transfer.c src/gtk/view_dialog.c - fixed a few minor warnings
        from splint.

	* src/text/textui.c src/uicommon/gftpui.c - fixed a few minor warnings
	from splint.

	* lib/cache.c lib/config_file.c lib/fsp.c lib/ftps.c lib/gftp.h
	lib/local.c lib/misc.c lib/options.h lib/protocols.c lib/rfc2068.c
	lib/rfc959.c lib/sshv2.c - started to add some annotations for splint.
	Fixed a few minor warnings from splint.

2006-7-7 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (gftp_get_transfer_status) - split this function into
	several smaller functions. Fixed bug where the number of retries wasn't
	being honored

2006-6-23 Brian Masney <masneyb@gftp.org>
	* lib/fsplib/fsplib.c (fsp_readdir_native) - fixed possible heap
	overflow on operating systems that have MAXNAMLEN > 256
	(from Joerg Sonnenberger <joerg@netbsd.org>)

2006-6-22 Brian Masney <masneyb@gftp.org>
	* gftp.spec.in - updated the install path for the desktop file
	(closes #171711)

	* src/gtk/gftp-gtk.c (CreateMenus) - updated the shortcut to the
	Add Bookmark dialog (closes #301310)

	* lib/rfc959.c (rfc959_syst) - disable the show_hidden_files and
	resolve_symlinks options when connecting to a VMS server

	* lib/pty.c (_gftp_ptys_open) - fixes for setting up the slave pty
	under HPUX (closes #303066)

	* src/gtk/gtkui.c (gftpui_prompt_username) - don't create the widget as
	a password widget (closes #313746)

	* src/gtk/bookmarks.c (new_item_entry) - fixed the title of the new item
	dialog (closes #329660)

	* src/gtk/transfer.c - split update_file_status() into another function.
	Updated the string that is displayed to the user with information on
	whether or not the file is being downloaded or updated. (closes #163750)

2006-5-14 Brian Masney <masneyb@gftp.org>
	* lib/rfc959.c (rfc959_syst) - disable the show_hidden_files and
	resolve_symlinks options if the remote server is a VMS server.
	(closes #170524)

	* lib/sshv2.c - make sure the 64 bit data is transformed into network
	byte order (from Aurelien Jarno <aurelien@aurel32.net>) (closes #168466)

	* lib/sshv2.c (sshv2_get_file) - use SSH_FXF_READ instead of
	SSH_FXP_OPEN to open the file. This ensures the file can be downloaded
	even if the user doesn't have write access to the file.
	(from Owen Roberts <owen.roberts@sun.com>) (closes #301106)

	* docs/sample.gftp/bookmarks - added Mandriva bookmarks
	(from mpol@gmx.net) (closes #322942)

	* docs/gftp.1 - fixed typo in man page (from Aurelien Jarno
	<aurelien@aurel32.net>) (closes #300721)

	* docs/website/screenshots.html - updated HTML file

	* src/gtk/bookmarks.c (delete_entry) - fixed typo (closes #312795)

	* docs/gftp.desktop - fixes so that desktop-file-validate processes
	the file with no errors (from Vincent Fretin <vincent.fretin@gmail.com>)
	(closes #316167)

	* lib/pty.c (_gftp_ptym_open) - fixes for using the grantpt() function
	under HP/UX. (from Allyn Fratkin <allyn@fratkin.com>) (closes #301979)

	* lib/fsplib/fsplib.c lib/fsplib/fsplib.h - updated with FSPLIB 0.8

	* lib/fsplib/lock.c lib/pty.c - compile fixes under NetBSD 
	(from Matthias Scheler tron@zhadum.de>) (closes #168984)

2006-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO.
	* po/no.po: And the translation.

2006-4-10 Brian Masney <masneyb@gftp.org>
	* configure.in - added he to ALL_LINGUAS

2006-03-31  Žygimantas Beručka  <zygis@gnome.org>

	* configure.in: Added lt to ALL_LINGUAS.

2005-12-06  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add nb to ALL_LINGUAS.

2005-07-21  Pawan Chitrakar  <pawan@nplinux.org>

	* configure.in: Added ne in ALL_LINGUAS

2005-06-09  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added 'gl' to ALL_LINGUAS.

2005-4-30 Brian Masney <masneyb@gftp.org>
	* docs/website/gftp-screenshot.png - added new screenshot of gFTP for 
	the website. It is from Richard Stellingwerff <remenic@gmail.com> and
	the theme is the Clearlooks theme

2005-04-01  Steve Murphy  <murf@e-tools.com>
        * configure.in: Added "rw" to ALL_LINGUAS.

2005-3-31 Brian Masney <masneyb@gftp.org>
	* src/gtk/transfer.c (check_done_process) - make sure the local file is
	not removed if the editor is set to a non-existent editor

2005-3-29 Brian Masney <masneyb@gftp.org>
	* src/text/gftp-text.c src/gtk/options_dialog.c - compiler fixes for
	GTK+ 1.2

2005-2-14 Brian Masney <masneyb@gftp.org>
	* Changelog-Old - updated security fix line with the CVE ID
	CAN-2005-0372

2005-2-13 Brian Masney <masneyb@gftp.org>
	* lib/fsplib/fsplib.c - include stdint.h if HAVE_STDINT_H is defined

	* lib/fsplib/fsplib.c - updated to use fsplib 0.4. Fixes compilation
	errors under Solaris/IRIX

2005-2-4 Brian Masney <masneyb@gftp.org>
	* docs/website/announce.txt - updated announcement with release of
	2.0.18

	* debian/changelog configure.in - updated version number to 2.0.18

	* configure.in - commented out AM_TYPE_PTRDIFF_T for now. I don't have
	this automake macro installed on my system

	* ChangeLog-old - updated with changes since 2.0.18rc1

	* docs/website/index.html.in - added link to the FSP homepage

	* lib/misc.c (gftp_get_transfer_action) - added the following FIXME
	comments: add code to compare the file times and make a decision based
	on that. Also if overwrite_default is enabled and the file sizes/dates
	are the same, then skip the file

2005-1-25 Brian Masney <masneyb@gftp.org>
	* src/gtk/gtkui.c (gftpui_run_function_callback) - after the needed
	information is retrieved from the dialog, destroy the dialog before
	the callback function is called

2005-1-24 Brian Masney <masneyb@gftp.org>
	* configure.in - added AM_TYPE_PTRDIFF_T
	(from Helmut Jarausch <jarausch@igpm.rwth-aachen.de>)

	* lib/protocols.c lib/rfc959.c src/gtk/dnd.c src/gtk/gftp-gtk.c 
	src/gtk/gtkui.c src/gtk/menu-items.c src/gtk/misc-gtk.c
	src/gtk/transfer.c src/gtk/view-dialog.c src/uicommon/gftpui.c - make
	sure the logging level gftp_logging_error is used for all error messages

	* lib/protocols.c (gftp_parse_url) - rewrote the URL parser so that the
	URL is parsed from right to left instead of left to right. There are
	more checks done to the URL.

	* src/text/gftp-text.c (gftp_text_ask_question, gftp_text_write_string)
	- convert the string from UTF8 to the users' current locale before it is
	displayed

	* src/text/gftp-text.c src/text/gftp-text.h - fixed signed/unsigned
	mismatch when calculating the window size

	* src/gtk/transfer.c (update_file_status) - expanded the maximum length
	of the dlstr variable

2005-1-23 Brian Masney <masneyb@gftp.org>
	* po/POTFILES.in - added lib/fsp.c

2005-1-18 Brian Masney <masneyb@gftp.org>
	* lib/fsplib/fsplib.[ch] - updated files from FSPLIB 0.3

	* lib/protocols.c (gftp_get_next_file) - if the remote server sends a
	path with the filename, then strip the path off of the filename. If the
	path didn't match the current directory, then give the user a warning.
	A malicious server could change the path of the downloaded by adding
	/../ to the path

2005-1-16 Brian Masney <masneyb@gftp.org>
	* configure.in lib/Makefile.am src/gtk/Makefile.am src/text/Makefile.am
	lib/fsp.c - added FSP to the build system

	* lib/fsp.c - removed unused variables

	* autogen.sh - s/gFTP/$PROJECT/

	* lib/fsplib/COPYING lib/fsplib/Makefile.am lib/fsplib/fsplib.c
	lib/fsplib/fsplib.h lib/fsplib/lock.c lib/fsplib/lock.h - added FSPLIB
	This library is written by Radim Kolar <hsn@netmag.cz> and was included
	with his permission

	* lib/fsp.c lib/options.h lib/gftp.h - added support for the FSP
	protocol (from Radim Kolar <hsn@netmag.cz>). Note, I need to update
	the build system for gftp to compile properly

	* src/gtk/dnd.c (openurl_get_drag_data) - if the client is busy with
	the server, then don't process the drop request (closes #162773)
	(from Aurelien Jarno <aurelien@aurel32.net>)

	* src/gtk/misc-gtk.c (MakeEditDialog, MakeYesNoDialog) - use
	g_malloc0() instead of g_malloc() to allocate the structures. This
	ensures that all of the pointers are initialized to NULL (closes
	#162762)

2004-12-31 Brian Masney <masneyb@gftp.org>
	* lib/sshv2.c (sshv2_read_response) - added debugging messages if
	compiled with -DDEBUG. Added sshv2_response_return_code()
	and sshv2_buffer_get_int64(). (sshv2_buffer_get_int32) - added
	check_response argument to this function. This suppresses a
	signed/unsigned mismatch warning from gcc.
	(sshv2_decode_file_attributes) - decode all of the attributes that
	are returned from the server. (sshv2_get_next_file) - don't look at
	the long file name returned from the server. This also fixes a bug
	where no files were being returned to the user when the remote server
	was running the commercial SSH daemon

	* lib/misc.c (gftp_info) - when displaying the OpenSSL information,
	display OPENSSL_VERSION_TEXT instead of OPENSSL_VERSION_NUMBER

	* src/gtk/transfer.c (update_file_status) - expand the length of the
	total transfered buffer. The total transfered was being truncated in
	some languages by g_snprintf() (from Pavel Vainerman <pv@etersoft.ru>)

	* src/uicommon/gftpui.c (gftpui_common_transfer_files) - check the
	return status of gftp_end_transfer() to see if there was an error
	closing the remote file
	
	* src/uicommon/gftpui.c - added dir and ldir commands to the command 
	line interface

	* lib/rfc959.c (rfc959_init) - enable the need_username option for this
	protocol. This fixes a problem with the text port not prompting for the
	username from the command line

	* lib/gftp.h - when using HPUX, define the size of off_t as size long

	* configure.in - HPUX thread fixes

2004-12-24 Brian Masney <masneyb@gftp.org>
	* src/gtk/chmod-dialog.c (dochmod) - fixes for the group execute
	permission. If that checkbox was active, then write permissions for
	others was enabled

2004-12-20 Brian Masney <masneyb@gftp.org>
	* lib/rfc959.c lib/ftpcommon.h - removed the quote filename
	functionality in the SITE CHMOD and SITE UTIME commands

	* lib/protocols.c (gftp_parse_bookmark) - if the bookmark's password is
	set to @EMAIL@, expand it to the users' email address

2004-12-12 Brian Masney <masneyb@gftp.org>
	* lib/rfc959.c - renamed pasv_behind_router option to
	ignore_pasv_address. This is a better explanation of what it does

	* lib/rfc959.c - added pasv_behind_router option. If this is enabled,
	then the IP address that is in the PASV response will be ignored.
	Instead the IP address of the remote host will be used. This is a patch
	from Jasper van Veghel <vanveghel@home.nl> that I made some changes to
	(closes #161037)

	* lib/gftp.h lib/protocols.c (gftp_connect_server) - if getaddrinfo()
	is not defined in the system, save the current index of the host that we
	are connected to

	* src/gtk/gftp-gtk.c (toolbar_hostedit) - use gftp_disconnect() instead
	of gftpui_disconnect(). The gftpui_disconnect() function will clear out
	the directory in the request structure

2004-12-2 Brian Masney <masneyb@gftp.org>
	* src/gtk/gtkui.c (gftpui_run_function_callback)
	src/uicommon/gftpui.h - added toggled variable to the
	gftpui_callback_data structure. If the edit dialog had a checkbox
	in it, then put the checkbox value in the toggled variable

	* src/gtk/gtkui.c (gftpui_site_dialog) 
	src/uicommon/gftpuicallbacks.c (gftpui_common_run_site) - allow the user
	to not send the prepend the command with the SITE keyword

	* docs/website/index.html.in docs/website/bats.gif 
	docs/website/generate-gftp-website.pl - updated bug reporting section.
	Added link and graphic for the National Speleological Society (NSS)

	* lib/sshv2.c (sshv2_rename) - fixed segfault that could occur (from
        Aurelien Jarno <aurelien@aurel32.net >) (closes #159963)

	* src/gtk/gtkui_transfer.c (gftpui_ask_transfer) - fixes for the first
	character of the filename being stripped off when it already existed on
	the remote side and it was being uploaded to the root directory. Note,
	the file truncation only occured in it being displayed to the user. It
	was not stripping the filename when it was being transfered (from
	Aurelien Jarno <aurelien@aurel32.net >) (closes #158713)

2004-11-18  Dennis Cranston <dennis_cranston@yahoo.com>
	* src/gtk/options_dialog.c:  GNOME HIG fixes for the GTK+2 
	version of the Options and Add/Edit dialogs. (closes #158642)
	
	Changes for the Options dialog:
	   *  Use proper GNOME HIG widget spacing and padding
	   *  Use proper GNOME HIG button order for action area
	   *  Remove dialog separator

	   FTP tab:
	   *  Indent the text view below the "Proxy server type" 
	      entry and wrap it in a scrolled window

	   Local Hosts tab:
	   *  Use stock add, edit, and delete buttons
	   *  Toggle sensitivity of edit and delete buttons

	Changes for the Add/Edit Host dialog:
	   *  Use proper GNOME HIG widget sapcing and padding
	   *  Use proper GNOME HIG button order for action area
	   *  Use proper GNOME HIG capitalization
	   *  Remove dialog separator
	   *  Add mnemonics to labels
	   *  Set dialog's window icon
	   *  Moved host type (i.e. Network or Domain radio 
	      buttons) to top of dialog, because these toggle 
	      the sensitivity of the other widgets
	   *  Indent the Network address, Netmask, and Domain 
	      entries, because the sensitivity of these widgets 
	      is toggled by the host type radio buttons
	   *  Toggle the sensitivity of the labels when 
	      changing host type
	
2004-11-28 Brian Masney <masneyb@gftp.org>
	* lib/pty.c - if HAVE_GRANTPT is defined, then don't include stropts.h
	if it is being compiled on FreeBSD (from Radim Kolar <hsn@sendmail.cz>)

2004-11-11 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (gftp_connect_server) - if the system does not have
	getaddrinfo(), removed erronous g_return_val_if_fail() that was always
	causing the function to fail and not connect to the server
	(from samn@sun.com)

	* configure.in - fixes for HP/UX
	(from "H.Merijn Brand" <h.m.brand@hccnet.nl>)

	* lib/gftp.h - fixes for large files under HP/UX
	(from "H.Merijn Brand" <h.m.brand@hccnet.nl>)

	* lib/protocols.c (gftp_list_files) - if ENABLE_NLS is disabled, then
	do not use setlocale()

	* docs/website/index.html.in - fixed several typos on the website.
	Updated introduction paragraph

	* docs/website/generate-gftp-website.pl - fixes for getting the version
	number from configure with newer versions of autoconf

	* docs/website/announce.txt - updated announcement file for 2.0.18rc1

2004-11-9 Brian Masney <masneyb@gftp.org>
	* debian/gftp-gtk.install - updated the path of the gftp.desktop file

	* configure.in debian/changelog - updated version number to 2.0.18rc1

	* TODO - updated

2004-11-7 Brian Masney <masneyb@gftp.org>
	* ChangeLog-old - updated with a summary of list of changes since 2.0.17

	* doc/website/index.html.in - added bug reporting section

2004-11-4 Brian Masney <masneyb@gftp.org>
	* lib/options.h src/gtk/gftp-gtk.c src/gtk/misc-gtk.c - whenever gftp
	is started, show in the toolbar the last connection details (except the
	password)

	* src/gtk/gftp-gtk.c - added mnemonics for the host and user field
	in the toolbar

	* docs/sample.gftp/gftprc - updated the default config file

	* src/gtk/bookmarks.c (entry_apply_changes) - more cleanups to this
	function. Fixes for renaming bookmark entries

	* src/gtk/bookmarks.c (build_bookmarks_tree) - greatly simplified
	this function. Added helper function _add_tree_node()

	* lib/misc.c (gftp_free_bookmark) - free the path and oldpath
	variables

2004-11-3 Brian Masney <masneyb@gftp.org>
	* docs/gftp.desktop - fixed parse error in the desktop file

	* lib/config_file.c (gftp_bookmarks_destroy)
	src/gtk/bookmarks.c (bm_apply_changes) - cleaned up the tree parsing
	code

	* lib/gftp.h lib/misc.c lib/config_file.c src/gtk/bookmarks.c - added
	free_node argument to gftp_free_bookmark()

	* lib/gftp.h src/gtk/bookmarks.c - added oldpath variable to the
	gftp_bookmarks structure.

2004-11-1 Brian Masney <masneyb@gftp.org>
	* lib/config_file.c (gftp_write_bookmarks_file) - if a folder has no
	children, make sure the entry has a / appended to the end of the
	description. Don't write out any of the other unneeded fields

	* src/gtk/bookmarks.c (build_bookmarks_tree) - fixes for adding toplevel
	folders that are empty

	* lib/config_file.c (gftp_add_bookmark) - if the bookmark path ends in
	/, then force the entry to be a folder

	* src/gtk/gftp-gtk.c src/gtk/gftp-gtk.h src/gtk/misc-gtk.c - added a
	tooltip to the button on the top left of the GUI

	* src/gtk/gtkui.c (gftpui_disconnect) - call update_window_info()
	instead of update_window() so that the toolbar tooltip is updated
	properly

	* src/gtk/bookmarks.c - don't allow the main bookmarks dialog to be
	closed if a child entry is being edited. Fixes for a toplevel folder
	that has no children

	* src/gtk/transfer.c (update_file_status) - if the % transferred goes
	over 100%, then set the update string to unknown percentage transfered.
	This will occur whenever the reported transfer size is different than
	what is actually being transfered. This occurs whenever a symlink is
	being transfered

	* lib/protocols.c (gftp_parse_ls_novell) - fixes for parsing directory
	listings that have a space in their username

	* lib/config_file.c (gftp_read_config_file) - fixes for creating the
	protocol dropdown when SSL support is disabled
	(from Aurelien Jarno <aurelien@aurel32.net>)

2004-10-29 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (gftp_put_file) - don't do any kind of character
	set conversion on the filename. After looking into this some more,
	this wasn't the proper place to do this.

	* lib/gftp.h lib/misc.c lib/protocols.c lib/rfc2068.c lib/rfc959.c
	lib/sshv2.c src/gtk/dnd.c src/gtk/view_dialog.c src/uicommon/gftpui.c
	src/uicommon/gftpuicallbacks.c - removed free_fdata(). Added
	free_it parameter to gftp_file_destroy()

2004-10-27 Brian Masney <masneyb@gftp.org>
	* docs/website/index.html.in - updated the list of available
	translations

	* docs/gftp-faq.sgml - added section about the font size being
	too small

2004-10-7 Brian Masney <masneyb@gftp.org>
	* src/gtk/bookmarks.c (entry_apply_changes) - convert all /'s
	in the entry description to spaces so that sub menus are not
	created

	* src/gtk/gftpuicallbacks.c (gftpui_common_run_ls) - if the ..
	directory was not found and an entry is to be created, make sure
	the attributes are set to drwx------ (previously it was d---------)

2004-10-5 Brian Masney <masneyb@gftp.org>
	* src/gtk/menu-items.c (dosavelog, viewlog) - make sure the entire
	log is written out when multibyte characters are used

	* src/gtk/view_dialog.c - small improvements to the way text is
	inserted in the gtk+ 2.x port

	* src/gtk/gftp-gtk.c src/gtk/gftp-gtk.h src/gtk/misc-gtk.c - disable the
	upload/download buttons whenever the user is not connected to the
	server (closes #153374)

	* src/gtk/misc-gtk.c src/gtk/gftp-gtk.c - disable the items in the
	transfer menu when the user is not connected. (Patch partially from
	Frank Anderson <fanson@gmail.com>)

2004-10-4 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (gftp_string_from_utf8,gftp_string_to_utf8) - added
	more printf() functions whenever there is a problem converting a string

	* src/gtk/gtkui_transfer.c (gftpui_ask_transfer) - make sure the
	filename that is to be displayed to the user is encoded in UTF8

2004-10-3 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (gftp_string_to_utf8) - if the current string is
	already in UTF-8, always return NULL, even if the iconv module is
	initialized for this session. If there is an error converting the
	non-UTF8 string to the current locale, then display a message to the
	user

2004-10-2 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (gftp_parse_bookmark) - convert the local and remote
	directories from UTF8 to the current locale specified in the
	remote_charsets option

2004-9-29 Brian Masney <masneyb@gftp.org>
	* configure.in - removed intl/Makefile po/Makefile.in from AC_OUTPUT
	since automake will add these

	* docs/website/index.html.in - added CVS Id tag to the bottom of the
	page

	* docs/website/update-gftp-cvs.sh - added script to autobuild a tarball
	from the latest CVS code

	* lib/sshv2.c (sshv2_set_config_options) set the request->need_password
	to be the value of the option ssh_need_userpass

	* src/text/gftp-text.c (main) - run gftp_shutdown() before the program
	exits

	* src/uicommon/gftpui.c (gftpui_common_cmd_set) - toggle
	gftp_configuration_changed whenever the user changes a configuration
	item

	* src/text/gftp-text.c src/uicommon/gftpui.c - make sure that extra
	newlines are not displayed to the user when certain commands are run
	from the text console

	* lib/rfc959.c lib/protocols.c lib/gftp.h - when making an IPv6
	FTP connection, make sure the proper addrinfo structure is used.
	Added more error checks to the EPSV parsing

	* lib/sshv2.c - log to the user which directory entries gftp could
	not parse

	* src/gtk/bookmarks.c - removed unused function clear_bookmarks_tree()

	* src/gtk/bookmarks.c - make sure the items of type GtkItemFactoryEntry
	are fully initialized (fixes compiler warnings). Fixed several
	segfaults that could occur in the bookmarks editor

	* lib/gftp.h lib/rfc959.c src/gtk/bookmarks.c - added
	GFTP_ANONYMOUS_USER that defines the username to use for anonymous
	FTP connections

2004-9-27 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (gftp_put_file) docs/gftp-faq.sgml - use
	gftp_string_from_utf8() to encode the filename. This will use the
	remote_charsets option instead of the GLIB environment variable

	* lib/protocols.c (gftp_string_from_utf8) - fixes for encoding the
	strings in the users' locale

	* lib/rfc959.c (rfc959_connect) - return GFTP_EFATAL if the initial FTP
	response is not 2xx

	* docs/gftp-faq.sgml - removed sections that have not been relevant for
	a long time. Added section about changing the encoding of filenames

2004-9-26 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (gftp_put_file) - use g_filename_from_utf8() to
	change the encoding of the filename (if needed)

2004-9-22 Brian Masney <masneyb@gftp.org>
	* src/gtk/gftp-gtk.c - removed ellipsis from menu items that do not
	require user input. This makes it conform to GNOME HIG.
	(from Subrahmanyam Madduri <smadduri@novell.com>)

	* lib/options.h - fixed misspelling

	* lib/options.h src/uicommon/gftpui.c - added option to preserve the
	file time. In the past, it would save the file time if saving the file
	permissions was enabled.

	* src/gtk/transfer.c (check_done_process) - if the process returned an
	error code, then remove the file and don't prompt the user to upload the
	file if it was changed

2004-9-17 Brian Masney <masneyb@gftp.org>
	* src/gtk/transfer.c (check_done_process) - make sure the return code
	from the process is reported correctly to the user

	* docs/gftp-faq.sgml - added section about troubleshooting files not
	being uploaded

	* src/gtk/gtkui.c - fixed compiler warning

	* lib/misc.c lib/cache.c lib/config_file.c lib/gftp.h lib/protocols.c
	lib/rfc2068.c lib/sshv2.c src/gtk/bookmarks.c src/gtk/dnd.c
	src/gtk/gftp-gtk.c src/gtk/gtkui.c src/gtk/menu-items.c
	src/gtk/misc-gtk.c src/gtk/transfer.c src/uicommon/gftpui.c - added
	gftp_request argument to gftp_build_path() and expand_path(). Renamed
	expand_path() to gftp_expand_path()

	* lib/gftp.h - fixed compile error in gftp_need_username macro

2004-9-14 Brian Masney <masneyb@gftp.org>
	* docs/gftp-faq.sgml - updated SSH section

	* lib/gftp.h lib/bookmark.c lib/local.c lib/rfc2068.c lib/rfc959.c
	lib/sshv2.c src/gtk/transfer.c src/uicommon/gftpui.c - removed
	need_userpass from the gftp_request structure. Added need_username and
	need_password in it's place

	* autogen.sh - updated CFLAGS variable that is passed to configure

2004-9-6 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h - make sure the _GNU_SOURCE is always defined.

	* lib/gftp.h lib/misc.c lib/protocols.c lib/rfc959.c - fixes for
	hosts that have IPv6 and IPv4 hostnames and a IPv6 connection cannot
	be made

	* lib/rfc2068.c - removed unused variable

	* lib/protocols.c lib/sshv2.c lib/sslcommon.c - cleanups to the
	functions that write/read to/from the network. Retry the operation
	if EAGAIN is returned

	* lib/ftps.c - return an error if the SSL session cannot be setup
	properly

	* autogen.sh - updated autogen.sh so that it will work with newer
	versions of automake/autoconf

	* src/gtk/bookmarks.c - make sure that edit_bookmarks_dialog is
	initialized to NULL

2004-8-21 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h lib/options.h lib/protocols.c - added
	gftp_protocol_default_port() that will return the default port for
	the current protocol

	* src/gtk/misc-gtk.c (update_window_info) - when updating the toolbar
	with the connection status, if the current connection is using the
	default port for it's protocol, then leave the port field blank. This
	should help users who want to reconnect to the current site using a
	different protocol

	* src/gtk/gftp-gtk.c (CreateConnectToolbar) - expanded the size of
	the Port input box

	* lib/rfc959.c lib/ftpcommon.h - added internal option to quote
	the filename in the SITE command. This is only enabled for servers
	that return UNIX in the SYST output. It is disabled if it is a BSD
	based FTP server

	* lib/sshv2.c (sshv2_start_login_sequence) - pass the search strings
	through gettext so that logins will work properly for non-english
	users

	* lib/pty.c (gftp_exec) - redirect STDERR of the child process to the
	opened pty so that stderr is shown properly in the log window

2004-8-17 Brian Masney <masneyb@gftp.org>
	* lib/sshv2.c - renamed read_buffer in sshv2_params to
	transfer_buffer. In sshv2_put_next_file_chunk(), dynamically allocate
	memory for transfer_buffer instead of using a fixed buffer on the
	stack. This allows for large transfer buffer sizes.

	* lib/sshv2.c - added sshv2_open_file(). sshv2_get_file() and
	sshv2_put_file() now use this function

	* src/gtk/gftp-gtk.c - removed local shortcuts for Disconnect
	and Open URL. These conflicted with other items

	* lib/misc.c - when sorting by file, user or group, do a case
	insensitive sort

	* docs/gftp.desktop docs/Makefile.am - updated desktop file. Install
	the desktop file in $datadir/applications (from <m777@canada.com>)

	* lib/rfc959.c (rfc959_set_file_time, rfc959_chmod) - enclose the
	filename in "quotes"

	* lib/gftp.h lib/misc.c lib/protocols.c lib/rfc2068.c lib/rfc959.c -
	added #defines for encoding and decoding file sizes that will work
	properly for large files (GFTP_OFF_T_HEX_PRINTF_MOD,
	GFTP_OFF_T_INTL_PRINTF_MOD, GFTP_OFF_T_PRINTF_MOD,
	GFTP_OFF_T_11PRINTF_MOD and gftp_parse_file_size). Fixed file size
	not being displayed properly when the system does not support the '
	printf formatter

	* acinclude.m4 (AC_INTL_PRINTF) - check to see if _LARGEFILE_SOURCE
	is defined. If so, use %'lld instead of %'ld

	* lib/rfc959.c lib/sshv2.c - removed unneeded code in the *_chmod()
	functions

2004-8-9 Brian Masney <masneyb@gftp.org>
	* lib/sshv2.c - fixes so that file permissions are preserved properly
	on file upload. Fixes so that the Utime and Chmod commands are shown
	in the log window

	* lib/sshv2.c (sshv2_setup_file_offset) - added buf argument to this
	function so that uploading files will work again

	* lib/options.h src/uicommon/gftpui.c - added ability to change the
	block size on the fly of the transfered files.

	* lib/config_file.c lib/options.h lib/rfc959.c - fixed warnings about
	unitialized members in the structure

	* lib/pty.c (gftp_exec) - setup stderr when running the program

	* lib/sshv2.c src/uicommon/gftpui.h - fixed signed/unsigned integer
	comparisions

	* lib/sshv2.c - added sshv2_copy_param_options()

	* src/gtk/options_dialog.c - compile fix when compiling against GTK+
	1.2

2004-8-1 Brian Masney <masneyb@gftp.org>
	* lib/sshv2.c - treat all integers from the remote server as
	unsigned

	* src/gtk/delete_dialog.c - fixed memory leak

	* src/gtk/chmod_dialog.c src/gtk/delete_dialog.c src/gtk/dnd.c
	src/gtk/gftp-gtk.c src/gtk/gftp-gtk.h src/gtk/gtkui.c 
	src/gtk/menu-items.c src/gtk/transfer.c - added
	gftp_gtk_get_list_selection() macro

2004-7-27 Brian Masney <masneyb@gftp.org>
	* lib/rfc959.c src/gtk/misc-gtk.c src/gtk/view_dialog.c - fixed more
	comparsions between signed and unsigned integers

	* lib/sshv2.c (sshv2_buffer_get_int32) - allow an expected response
	value of 0. If it does not match, call sshv2_wrong_response().
	SSH_FX_OK is set to 0, so this value was not being checked

	* src/gtk/gtkui.c src/text/textui.c src/uicommon/gftpui.h - renamed the
	clear_cache argument of gftpui_refresh() to clear_cache_entry. There is
	already a function named clear_cache()

	* lib/gftp.h lib/local.c lib/protocols.c lib/sshv2.c - changed
	declaration of gftp_stat_filename() so that the mode of the filename
	is returned as a parameter instead of the function return value.
	The mode_t type is unsigned and the error codes could not be reported
	properly

	* lib/sshv2.c - fixed SSHV2 transfers so that they work again
	(they were busted in the last CVS commit due to the wrong file
	offset being sent over)

	* src/gtk/misc-gtk.c - fix for the log window so that the contents
	are properly shown. (this was busted in the last CVS commit)

	* lib/protocols.c lib/rfc2068.c lib/rfc959.c lib/sshv2.c
	src/gtk/bookmarks.c src/gtk/dnd.c src/gtk/gftp-gtk.c src/gtk/gtui.c
	src/gtk/menu-items.c src/misc-gtk.c src/gtk/options_dialog.c 
	src/gtk/transfer.c src/text/gftp-text.c src/uicommon/gftpui.c - 
	various fixes found through a static code analysis. (some
	signed/unsigned fixes, removed unneeded casts, indentation fixes, 
	added static declaration to some functions)

	* lib/rfc2068.c lib/sshv2.c src/gtk/bookmarks.c src/gtk/chmod_dialog.c
	src/gtk/gtkui.c src/gtk/transfer.c src/uicommon/gftpui.c - removed
	unused variables

	* src/gtk/misc-gtk.c (progress_timeout) - fixed implicit integer to
	float conversion

2004-7-26 Brian Masney <masneyb@gftp.org>
	* lib/config_file.c lib/local.c lib/ftps.c lib/gftp.h lib/httpcommon.h
	lib/https.c lib/misc.c lib/protocols.c lib/pty.c lib/rfc2068.c
	lib/rfc959.c lib/sshv2.c - various fixes found through a static code
	analysis checker. (some signed/unsigned fixes, removed unneeded casts,
	removed unneeded variables, more consistency, largefile fixes). Thanks
	to Derek M Jones for running the static code analysis for me

	* lib/cache.c - s/remove/del_entry/g

	* lib/bookmark.c lib/protocols.c (gftp_parse_bookmark) - allow
	the third parameter of this function to be a NULL pointer

	* lib/pty.c - give the grantpt pty implementation more priority over
	using openpty()

2004-7-25 Brian Masney <masneyb@gftp.org>
	* src/gtk/bookmarks.c src/gtk/gftp-gtk.c src/gtk/gtkui.c
	src/gtk/transfer.c src/text/textui.c src/uicommon/gftpui.c 
	src/uicommon/gftpui.h - added clear_cache argument to gftpui_refresh()
	Don't clear the cache when changing directories

	* src/uicommon/gftpuicallbacks.c (_gftpui_common_rm_list) - return
	0 on success

	* src/gtk/delete_dialog.c - refresh the directory listing after the
	operation was successful

	* lib/rfc959.c - added rfc959_set_file_time(). This uses the SITE UTIME
	command. Not many FTP servers appear to support this extension

	* lib/protocols.c (gftp_get_transfer_status) - don't force the user to
	wait to reconnect if the connection to the server timed out

	* src/gtk/transfer.c - when spawning a thread to get the
	subdirectories, don't refresh the local directory listing. Also added
	custom connect/disconnect functions so that timeouts can be handled
	properly. 

	* src/gtk/delete_dialog.c - make sure that 2 connections to the server
	don't get established

	* src/uicommon/gftpui.c src/uicommon/gftpui.h - added dont_refresh
	variable to gftpui_callback_data structure. If this is true, then it
	will not run gftpui_refresh() after the thread terminates

2004-7-24 Brian Masney <masneyb@gftp.org>
	* src/uicommon/gftpui.c src/uicommon/gftpui.h - added support for
	a custom connect and disconnect function in the thread callback

	* lib/local.c (local_connect) - don't step on request->directory if
	it is already set to the current working directory

	* lib/protocols.c (gftp_get_all_subdirs) - if there is an error in the
	protocol function, make sure the error code is returned as is. This is
	so that timeouts can be detected properly

2004-7-19 Brian Masney <masneyb@gftp.org>
	* src/gtk/transfer.c src/uicommon/gftpui.h - use the new thread callback
	functions for retrieving the list of subdirectories

	* src/gtk/delete_dialog.c src/uicommon/gftpuicallbacks.c - use the
	new thread callback functions for deleting items from the GTK+ GUI

	* src/gtk/delete_dialog.c src/gtk/transfer.c src/gtk/gftp-gtk.h -
	added gftp_gtk_get_subdirs() to get the list of subdirectories in a
	child thread

	* src/gtk/gftp-gtk.c src/gtk/gftp-gtk.h - renamed some functions so that
	they are clearer on what they do. Did some small code cleanups

2004-7-18 Brian Masney <masneyb@gftp.org>
	* lib/local.c lib/protocols.c lib/rfc959.c src/uicommon/gftpui.c - fixes
	for the *_chmod() functions to use the datatype mode_t for storing
	the file attributes

	* acinclude.m4 - quote the definition of the automake functions. This
	fixes warnings from automake 1.8

	* acinclude.m4 - removed AC_SYS_LARGEFILE. This is provided by newer
	versions of automake

	* configure.in - added pa to ALL_LINGUAS. Updated version to 2.0.18pre1

2004-7-13 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h lib/local.c lib/protocols.c lib/rfc2068.c lib/rfc959.c
	lib/sshv2.c - added gftp_stat_filename(). This will retrieve the
	attributes for the selected file. When downloading a list of items,
	if one of the items is a symlink, check to see if it points to a 
	directory or file

	* src/gtk/misc-gtk.c - fix for displaying the folder icon for
	directories

	* lib/gftp.h lib/local.c lib/misc.c lib/protocols.c lib/rfc2068.c
	lib/rfc959.c lib/sshv2.c src/gtk/chmod_dialog.c src/gtk/delete_dialog.c
	src/gtk/dnd.c src/gtk/gftp-gtk.c src/gtk/gtkui_transfer.c
	src/gtk/menu-items.c src/gtk/misc-gtk.c src/gtk/view_dialog.c
	src/text/textui.c src/uicommon/gftpui.c src/uicommon/gftpuicallbacks.c -
	represent the file attributes as a mode_t variable instead of a
	character string

2004-7-12 Brian Masney <masneyb@gftp.org>
	* lib/sshv2.c - added sshv2_decode_file_attributes(). This is used
	by sshv2_get_next_file() and sshv2_get_file_size().
	(sshv2_get_next_file_chunk) - if the error SSH_FX_FAILURE was returned,
	then do not return wrong message received from server to the user

	* lib/protocols.c (gftp_get_transfer_status) - when there is a 
	transfer error, make sure that an incoming signal does not
	interrupt the timeout

	* src/gtk/gftp-gtk.c src/uicommon/gftpui.c - make sure the SIGCHLD
	signal handler reaps the zombies in the text port.

	* docs/rfcs/* - added RFCs that are used by this program

2004-7-11 Brian Masney <masneyb@gftp.org>
	* src/gtk/gftp-gtk.c src/gtk/gftp-gtk.h src/gtk/gtkui.c 
	src/gtk/transfer.c - removed use_cache argument to ftp_list_files()
	This was not being used

	* src/gtk/gftp-gtk.c - compile fix when compiling against GTK 1.2

2004-7-6 Brian Masney <masneyb@gftp.org>
	* lib/sshv2.c - added sshv2_wrong_message(). Changed the wrong message
	log messages to call this function instead

2004-6-27 Brian Masney <masneyb@gftp.org>
	* lib/sshv2.c - did more code cleanups

2004-6-22 Brian Masney <masneyb@gftp.org>
	* lib/sshv2.c - did more code cleanups

2004-6-15 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c - added supported for multiline VMS directory
	listings. Also, parse the date correctly for single line VMS
	directory listings

	* lib/gftp.h lib/local.c lib/rfc2068.c lib/rfc959.c lib/sshv.c -
	added function pointer get_next_dirlist_line to gftp_request structure.
	This will retrieve the next line of input for the directory listing.
	This is only implemented in the FTP protocol at the moment. It shouldn't
	be needed in the other protocols

	* lib/gftp.h lib/sshv2.c src/gtk/gtkui.c src/text/textui.c - added
	support for RSA SecurID passwords

	* lib/sshv2.c - cleaned up the SSH login sequence even more. Removed
	ssh2_sftp_path and sshv2_use_sftp_subsys options. The sftp subsystem
	is now always used.

2004-6-13 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h lib/misc.c src/gtk/Makefile.am src/gtk/menu-items.c
	src/gtk/misc-gtk.c src/text/Makefile.am src/uicommon/Makefile.am
	src/uicommon/gftpui.c - added support to override the value of
	SHARE_DIR during runtime with the GFTP_SHARE_DIR environment
	variable

2004-6-6 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (gftp_set_username) - allow a NULL username

	* configure.in - if gftp is being compiled on HPUX, check for sem_init
	in librt

	* lib/protocols.c (parse_time) - if there is an error parsing the
	time format, don't return a fatal error

	* acinclude.m4 configure.in - added AC_TYPE_INTPTR_T that will define
	intptr_t if it does not exist on the system

	* lib/gftp.h lib/protocols.c lib/rfc959.c
	src/uicommon/gftpuicallbacks.c - added specify site argument to
	rfc959_site(). If this is set, then SITE will be prepended to the
	command

2004-5-26 Brian Masney <masneyb@gftp.org>
	* docs/gftp.desktop - make desktop item follow HIG (closes #142005)

	* lib/protocols.c lib/options.h - added remote_lc_time option. The
	value of LC_TIME can now be overridden on a per site basis. This will
	fix problems parsing the dates in the remote directory listings

	* src/gtk/dnd.c - when a URL is dropped on the connect button, log the
	URL that is received

	* src/gtk/gftp-gtk.c src/gtk/options_dialog.c - more 64 bit cleanups

2004-5-16 Brian Masney <masneyb@gftp.org>
	* src/gtk/gftp-gtk.c src/gtk/gftp-gtk.h src/gtk/transfer.c - fixed
	detection of SIGCHLD when viewing/editing a file (from
	Aurelien Jarno <aurelien@aurel32.net>)

	* src/gtk/gtkui.c - expand the path on the client side when changing
	the remote directory (i.e. CHDIR /home/.. becomes /home)
	(from Aurelien Jarno <aurelien@aurel32.net>)

	* src/uicommon/gftpui.c lib/gftp.h - added
	gftpui_protocol_update_timeout()

	* lib/protocols.c - 64 bit fixes. Check to see if the remote site
	disconnected 

2004-4-14 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c lib/rfc959.c src/gtk/transfer.c - AMD64 fixes

2004-4-14 Brian Masney <masneyb@gftp.org>
	* lib/sshv2.c lib/gftp.h src/text/textui.c src/gtk/gtkui.c - when
	connecting with the SSH protocol, if the user is asked a question,
	relay that question back to the user and allow them to answer it.

	* doc/gftp-faq.sgml - moved the SSH troubleshooting section to the
	issues for older releases section. All of the issues that this talks
	about have been fixed in CVS.

	* src/gtk/gftp-gtk.c (main) - call gdk_threads_init() on startup

	* lib/cache.c lib/config_file.c lib/misc.c lib/protocols.c
	lib/rfc2068.c lib/rfc959.c - removed some uses of strlen() so that
	they only occur once on a string instead of multiple times in some
	cases

	* lib/sslcommon.c - fixed typo

	* configure.in lib/gftp.h - added configure check for inttypes.h

	* docs/gftp.lsm - updated with 2.0.17 information

2004-04-10  Adam Weinberger  <adamw@gnome.rog>

	* en_CA.po: Added en_CA to ALL_LINGUAS.

2004-4-10 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h lib/pty.c lib/sshv2.c - added gftp_exec() that will always
	open a pseudo terminal and a separate socket pair for the stdin/stdout
	file descriptors. The banner and password request will come through the
	pseudo terminal while the sftp protocol specific data will always come
	through the socket pair. This allows for a much cleaner SSH login
	sequence that does not require echo xsftp to capture a login banner. 
	Removed option ssh_use_askpass since it is no longer needed.
	This code is based off of a suggestion from Gertjan Halkes

	* src/text/gftp-text.c - removed setting the options ssh_use_askpass
	and sshv2_use_sftp_subsys

2004-03-30  Gareth Owen  <gowen72@yahoo,com>

	* configure.in: Added en_GB to ALL_LINGUAS

2004-3-28 Brian Masney <masneyb@gftp.org>
	* debian/changelog configure.in ChangeLog-old - incremented version
	number to 2.0.17

	* docs/website/announce.txt - updated announcement to reflect 2.0.17
	release

	* src/gtk/bookmarks.c - only allow one instance of the bookmarks editor

2004-3-26 Brian Masney <masneyb@gftp.org>
	* lib/ftps.c lib/gftp.h lib/rfc959.c - when reestablishing a connection
	to a FTPS host, make sure the initial commands are sent over in
	plaintext

	* lib/protocols.c - make sure the port is displayed to the user in the
	proper byte order when getaddrinfo() is not included on the system

	* lib/misc.c (gftp_copy_request) - make sure req->init is not NULL
	before attempting to initialize the new request structure. This fixes
	a segfault that happened when viewing/editing a local file
	(from Chelban Vasile <mail4509@pochtamt.ru>)

	* docs/website/generate-gftp-website.pl - updated the STABLE_I386DEB
	filename

	* docs/website/index.html.in - updated the main website

	* docs/website/announce.txt - announcement for the 2.0.17 release

2004-3-21 Brian Masney <masneyb@gftp.org>
	* lib/ftps.c (ftps_auth_tls_start) - if the server rejects the
	PROT C command, disconnect from the server

	* src/gtk/gftp-gtk.c - initialize the read/write color functions before
	gftp is initialized

	* src/gtk/menu-items.c (chdir_edit) - ignore the number of items that
	are selected in the listbox

	* src/gtk/view_dialog.c src/gtk/menu-items.c - cleanups to the view
	log code

	* src/uicommon/gftpuicallbacks.c (gftpui_common_run_ls) - if there
	is an error, make sure that the exact error code is returned

	* lib/protocols.c (gftp_transfer_files) - if the connection timed
	out, reconnect immediately

	* lib/rfc959.c - if the connection timed out to the server, make
	sure GFTP_ETIMEDOUT is returned

2004-3-20 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h src/uicommon/gftpui.c lib/rfc959.c - if the connection
	timed out to the server, return GFTP_ETIMEDOUT. In the UI, if this
	error code is returned, immediately reconnect to the server and retry
	the operation

	* lib/rfc959.c - if the return value from rfc959_send_command() is
	< 0, then make sure the exact value is returned instead of
	GFTP_ERETRYABLE

	* src/gtk/chmod_dialog.c - use gftpui_common_run_callback_function()
	to do the chmod operation. This will spawn a thread if necessary

	* debian/gftp-text.prerm - missing debian package file

	* Makefile.am - updated with EXTRA_DIST variable with the list of the
	Debian package files

	* debian/* - updated Debian package files from
	Aurelien Jarno <aurelien@aurel32.net>

2004-3-19 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h - if _LARGEFILE_SOURCE is defined, but _LARGEFILE64_SOURCE
	is not defined, define it

2004-3-18 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h configure.in - #define _LARGEFILE_SOURCE if sizeof(off_t)
	is greater than 4 and _LARGEFILE_SOURCE is not defined.
	_LARGEFILE_SOURCE does not get defined under *BSD

	* lib/local.c (local_{get,put}_file) - compiling fix for FreeBSD.
	_LARGEFILE_SOURCE is defined, but O_LARGEFILE is not defined

2004-3-17 Brian Masney <masneyb@gftp.org>
	* lib/options.h src/gtk/transfer.c - added start file transfers option

	* lib/ftpcommon.h lib/ftps.c - removed encrypted_connection variable
	from the rfc959_parms structure

	* lib/rfc959.c (rfc959_copy_param_options) - fix for FTPS protocol
	so that the proper read/write function is setup whenever the request
	structure is copied

	* lib/sslcommon.c - fix so that the option verify_ssl_peer can be
	toggled while gftp is running and on a per connection basis

	* docs/gftp-faq.sgml - added SSL Issues section

	* docs/sample.gftp/gftprc - updated config file that has all
	of the new options added since 2.0.16

	* lib/options.h - disable show_trans_in_title by default

	* lib/config_file.c lib/gftp.h lib/misc.c lib/protocols.c
	src/gtk/bookmarks.c (gftp_copy_local_options) - in the new
	options that are copied, update the the number of options that are
	stored.

	* lib/rfc2068.c (parse_html_line) - fix for parsing file sizes

	* ChangeLog-old - updated with summary of changes since 2.0.16

	* docs/website/index.html.in - updated the list of translations
	available

2004-3-16 Brian Masney <masneyb@gftp.org>
	* lib/ftpcommon.h lib/gftp.h lib/rfc959.c src/uicommon/gftpui.c -
	fixes so that FXP transfers work again

	* src/gtk/misc-gtk.c src/gtk/gftp-gtk.h - added destroy_dialog()
	function

	* src/gtk/gftp-gtk.c - destroy the openurl dialog before attempting to
	connect to the server

2004-3-15 Brian Masney <masneyb@gftp.org>
	* src/gtk/misc-gtk.c (update_directory_download_progress) - center the
	progress dialog (closes #136370)

	* lib/gftp.h - if _FILE_OFFSET_BITS is > 32 and _LARGEFILE_SOURCE is 
	not defined, define it

	* lib/protocols.c (gftp_string_{to|from}_utf8 - don't alter the contents
	of the remote_charsets option. Instead, make a copy of that and alter
	that copy

2004-3-14 Brian Masney <masneyb@gftp.org>
	* lib/misc.c (expand_path) - skip over paths that are empty

	* lib/misc.c (gftp_sort_filelist) - fixed NULL pointer dereference
	that would occur when attempting to sort an empty filelist
	(from Hans-J?rgen Sch?ler <hjschaeler@t-online.de>)

	* src/uicommon/gftpui.c (_gftpui_common_thread_callback) - fix so that
	retries would occur properly after a timeout
	(from Nam SungHyun <namsh@kldp.org>)

	* src/gtk/Makefile.am - removed unneeded localedir defination
	(from Nam SungHyun <namsh@kldp.org>)

	* lib/gftp.h lib/protocols.c src/gtk/gftp-gtk.c src/text/gftp-text.c -
	added gftp_setup_startup_directory(). This function will expand the
	startup directory so that ~ directories will work properly

	* lib/rfc959.c - removed invalid response error message if the user
	enters an invalid password

	* src/gtk/bookmarks.c - only allow one bookmark entry to be edited at a
	time. This is a design flaw in my code and I'll remove this restriction
	until I have time to recode this. Also, fixed segfault that would occur
	when renaming a bookmark

	* src/gtk/view_dialog.c - when editing a file, make sure the file has
	the right suffix so that syntax highlighting works

2004-3-1 Brian Masney <masneyb@gftp.org>
	* lib/sslcommon.c - added verify_ssl_peer option

	* lib/ftps.c - set the protocol number to GFTP_FTPS_NUM

	* lib/https.c - set the protocol number to GFTP_HTTPS_NUM

	* lib/rfc959.c lib/rfc2068.c - remove references to checking for
	GFTP_FTP_NUM and GFTP_HTTP_NUM

2004-2-29 Brian Masney <masneyb@gftp.org>
	* lib/rfc959.c - in several instances, if an invalid response is
	received from the server, make sure an error message is logged to the
	user before they are disconnected from the site

2004-02-21  Paisa Seeluangsawat  <paisa@users.sf.net>

	* configure.in: Added Thai (th) to ALL_LINGUAS.

2004-2-16 Brian Masney <masneyb@gftp.org>
	* configure.in - added ta.po to ALL_LINGUIS

	* src/gtk/view_dialog.c - call mkstemps() to create the temporary
	file. This is so that the extension of the file will be preserved
	so that syntax highlighting will still work (from
	Aurelien Jarno <aurelien@aurel32.net>)

	* lib/Makefile.am lib/gftp.h lib/mkstemps.c po/POTFILES.in - 
	added mksteps() from the GNU C Library (from
	Aurelien Jarno <aurelien@aurel32.net>)

2004-2-16 Brian Masney <masneyb@gftp.org>
	* src/gtk/misc-gtk.c - compile fix for GTK+ 1.2

	* po/POTFILES.in - added ftps.c and ftpcommon.h and httpcommon.h

2004-2-15 Brian Masney <masneyb@gftp.org>
	* debian/changelog debian/copyright debian/gftp-text.postinst
	debian/gftp-text.prerm - updated Debian packaging files from
	Aurelien Jarno <aurelien@aurel32.net>

	* lib/sshv2.c (sshv2_put_file) - fix for resuming SSHv2 uploads

	* src/text/gftp-text.c - fixed compiler error when being compiled
	without gettext

2004-2-8 Brian Masney <masneyb@gftp.org>
	* src/gtk/gftp-gtk.h src/gtk/gtkui.c - added
	gftpui_gtk_get_utf8_file_pos() that will return the file in UTF8
	format if it is available

	* src/gtk/gtkui_transfer.c src/gtk/transfer.c - call
	gftpui_gtk_get_utf8_file_pos() to display the file in the file transfer
	status. This fixes a bug where non-UTF8 files were being chopped off

	* src/text/textui.c src/uicommon/gftpui.c src/uicommon/gftpui.h
	src/text/gtkui_transfer.c - updated declaration of
	gftpui_add_file_to_transfer()

	* lib/protocols.c (gftp_swap_socks) - swap the SSL sockets between
	the two request structures

	* lib/ftps.c - added ftps_get_next_file() that will pull items from
	the cache properly

	* lib/Makefile.am - updated LOCALE_DIR declaration
	(from Sung-Hyun Nam <namsh@kldp.org>)

	* ChangeLog-old - updated summary of changes since 2.0.16

	* TODO - removed several items that were completed

2004-2-4 Brian Masney <masneyb@gftp.org>
	* docs/website/index.html.in - updated main website

	* src/gtk/gftp-gtk.c - allow pasting a URL in the host box

	* lib/Makefile.am - added ftpcommon.h to noinst_HEADERS

2004-2-3 Brian Masney <masneyb@gftp.org>
	* lib/ftpcommon.h lib/ftps.c lib/rfc959.c - added pointers to
	read/write functions to the rfc959_params structure for the data
	connection. For now, this is always set to the plaintext version. 

	* lib/Makefile.am lib/gftp.h lib/options.h lib/rfc959.c lib/ftpcommon.h
	lib/ftps.c - added support for the FTPS protocol. This currently is only
	for the control connection. (draft-murray-auth-ftp-ssl-09.txt)

2004-2-2 Brian Masney <masneyb@gftp.org>
	* docs/website/index.html.in - updated main gftp website

	* lib/config_file.c lib/gftp.h src/uicommon/gftpui.c 
	src/gtk/gftp-gtk.c - updated the format of the config file
	write_functions so that the value isn't written to a file descriptor.
	Instead, it is written to a buffer.

	* src/text/gftp-text.c (gftp_text_log) - search for newlines in the
	string and split on those characters first

	* src/text/textui.c (gftpui_disconnect) - disconnect from the host

	* src/uicommon/gftpui.c - removed calls to printf() functions. Instead
	print the values out using the logging function

	* src/uicommon/gftpuicallbacks.c (gftpui_common_run_ls) - if we are
	connected to a local site, lookup the options local_sortasds and
	local_sortcol. Otherwise, lookup remove_sortasds and remote_sortcol.

	* autogen.sh - disable maintainer mode

	* TODO - updated

2004-02-01 Alastair McKinstry <mckinstry@computer.org>
	
	* configure.in: Add Irish ("ga") to ALL_LINGUAS

2004-2-1 Brian Masney <masneyb@gftp.org>
	* src/gtk/dnd.c - whenever a file(s)/directories are dropped onto
	gftp, allow resuming the file transfers

	* lib/protocols.c (gftp_get_dir_listing, gftp_get_all_subdirs) - don't
	modify the file variable if it begins with a /. Do not touch the
	destfile variable if it already exists

2004-1-28 Brian Masney <masneyb@gftp.org>
	* src/gtk/bookmarks.c src/gtk/dnd.c src/gtk/gftp-gtk.c
	src/gtk/gftp-gtk.h src/gtk/gtkui.c src/gtk/menu-items.c 
	src/gtk/transfer.c - renamed disconnect() to gftpui_disconnect()

	* src/gtk/gtkui.c src/text/textui.c src/uicommon/gftpui.c - improved
	prompting for the username/password

	* src/gtk/gtkui.c src/text/textui.c src/uicommon/gftpui.c - call
	gftpui_disconnect() after a command is run and if we are no longer
	connected to the remote host

	* src/text/gftp-text.c - parse the command line arguments for the host
	to connect to

	* src/text/textui.c (gftpui_refresh) - clear the cache.
	(gftpui_ask_transfer) - check for carriage return or empty string

	* src/uicommon/gftp.h - define gftpui_common_cmd_m{get,put}_file()

	* lib/sshv2.c - removed temporary "fix"

2004-1-27 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h lib/misc.c src/gtk/gtkui_transfer.c src/text/textui.c - 
	added gftp_get_transfer_action(). When a file is to be transfered and
	already exists, this will return the default action that should be
	taken.

	* src/text/textui.c (gftpui_ask_transfer) - implemented this function
	so that whenever a file exists and is to be transfered, the user will
	be prompted on whether or not to overwrite/skip/resume

	* src/text/gftp-text.c (gftp_text_ask_question) - fixups for inputing
	a single character

2004-1-23 Brian Masney <masneyb@gftp.org>
	* src/text/gftp-text.c src/uicommon/gftpui.c - added file transfer
	functions to the command line.

	* src/uicommon/gftpui_transfer.c src/uicommon/gftpui.h src/text/textui.c
	src/gtk/gtkui_transfer.c - added
	gftpui_{start,update,finish}_current_file_in_transfer() functions
	that will be called throughout the lifetime of a file transfer.
	Also, gftpui_start_transfer() that will be called whenever a file
	transfer is created

	* src/uicommon/gftpui.h src/uicommon/gftpui.c src/gtk/gftp-gtk.c
	src/gtk/transfer.c - added other_uidata and other_request arguments
	to all of the command line functions

	* lib/protocols.c lib/gftp.h - set the filespec argument to
	gftp_get_next_file to be a constant

	* lib/gftp.h - added tot_file_trans variable to gftp_transfer struct

2004-1-21 Brian Masney <masneyb@gftp.org>
	* lib/config_file.c lib/gftp.h - set the character string arguments to
	const for the following functions: gftp_lookup_global_option(),
	gftp_lookup_request_option(), gftp_lookup_bookmark_option(),
	gftp_set_global_option(), gftp_set_request_option(),
	gftp_set_bookmark_option()

	* lib/misc.c lib/gftp.h - set the character string arguments to const
	for the function gftp_match_filespec()

	* src/gtk/gftp-gtk.c src/gtk/menu-items.c src/uicommon/gftpui.c - moved
	more UI independant parts to the uicommon directory. Moved some GUI
	specific functionality into gftp-gtk.c 

	* src/text/gftp-text.c src/gtk/gftp-gtk.c src/uicommon/gftpui.c - pass
	the local/remote uidata/request structures to process_command(). Removed
	old function gftpui_common_init(). Added new gftpui_common_init() that
	sets up common functionality for a port.

	* src/gtk/gtkui.c src/gtk/gtkui_transfer.c - moved
	gftpui_add_file_to_transfer() to gtkui_transfer.c 

	* src/gtk/gtkui_transfer.c - cleaned up these functions some and made
	them more modular

	* src/uicommon/gftpui.c src/uicommon/gftpui.h - for all of the command
	line functions, make the command argument a constant

2004-1-18 Brian Masney <masneyb@gftp.org>
	* lib/misc.c lib/protocols.c lib/rfc2068.c lib/rfc959.c - if
	_LARGEFILE_SOURCE is defined, explicitly cast the file sizes to
	long long so that the %lld format will be correct

	* src/gtk/gtkui_transfer.c - gtk+ specific file transfer code.
	Forgot to attach this with the last commit

	* lib/rfc959.c (rfc959_connect) - if the username is anonymous and a
	password is already supplied, don't clobber it.

	* lib/misc.c (gftp_build_path) - when checking for already existing
	/'s, not only look at the end of the currently built string, but look
	at the beginning of the token that is about to be added
	(from Aurelien Jarno <aurel32@debian.org>)

	* lib/rfc2068.c (rfc2068_list_files) - if the current directory is /,
	just send the hostname over to the HTTP server. This was broken on some
	HTTP servers.
	(from Aurelien Jarno <aurel32@debian.org>)

	* lib/gftp.h lib/misc.c src/gtk/delete_dialog.c src/gtk/transfer.c
	src/gtk/view_dialog.c src/uicommon/gftpui.c - renamed all instances of
	copy_request() to gftp_copy_request(). Removed second argument
	(copy_local_options), the options are always copied now.

	* lib/protocols.c (gftp_parse_url) - if the URL is the local filesystem,
	skip over the whitespace at the beginning.

	* lib/rfc959.c (rfc959_syst) - allow the string MVS and OS/MVS for the
	MVS directory listings.

	* src/gtk/gtkui_transfer.c src/gtk/transfer.c src/gtk/gftpui.c - 
	started to move the transfer functionality into the uicommon directory.
	Added the text and GTK+ UI specific transfer functions.

	* src/gtk/Makefile.am po/POTFILES.in - added gtkui_transfer.c 

	* src/gtk/dnd.c src/gtk/gtkui_transfer.c src/gtk/view_dialog.c -
	s/add_file_transfer/gtkui_common_add_file_transfer/

	* src/gtk/gftp-gtk.c src/gtk/gftp-gtk.h - removed transfer_mutex

	* src/gtk/gtkui.c src/text/textui.c - added
	gftpui_add_file_to_transfer() 

	* src/uicommon/gftpui_callbacks.c src/uicommon/gftpui.c - in all of the
	thread callback functions, don't alter the return value in the function.
	Return it as is.

	* src/gtk/bookmarks.c - don't allow an item to be dropped onto the root
	node or items that are not a folder
	(from Aurelien Jarno <aurel32@debian.org>)

2004-1-7 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (parse_time) - insert the right year for files that
	are from last year and the year is not shown in the ls output.

	* src/uicommon/gftpui.c (_gftpui_common_thread_callback)
	src/uicommon/gftpui.h - added a retries variable to the cdata structure

	* src/uicommon/gftpui.c (gftpui_common_cmd_open) src/uicommon/gftpui.c
	- actually connect to the remote server

	* src/uicommon/gftpuicallbacks.c src/uicommon/gftpui.c - in the
	callback functions, don't change the return value

	* src/text/textui.c (gftpui_generic_thread) - don't spawn a thread,
	just call the function directly

2004-1-6 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h lib/protocols.c lib/rfc959.c - added MVS directory parsing
	support. Also, in the VMS and EPLF directory formats, update the
	default file/directory perms to be -rw-r--r-- and drwx-r-xr-x
	respectively.

2004-1-5 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h lib/misc.c src/gtk/gftpui.c - added GFTP_URL_USAGE
	that is the sytax for a valid URL.

	* lib/protocols.c (gftp_set_password) - allow the password to be NULL

	* src/gtk/gtkui.c src/text/textui.c src/uicommon/gftpui.h - added
	gftpui_prompt_username() and gftpui_promot_password() to each UI

	* src/text/gftp-text.c (gftp_text_ask_question) - don't display a
	: at the end of the question here.

	* src/text/gftp-text.h - added declaration of gftp_text_ask_question()

	* src/uicommon/gftpui.c - added gftpui_common_cmd_open(). This still
	needs a little bit more work done to it.

	* src/gtk/gftp-gtk.h src/gtk/gtkui.c - when spawning a thread,
	make sure that the GUI will be updated properly as soon as the thread
	is finished.

	* src/uicommon/gftpuicallbacks.c src/uicommon/gftpui.h - added
	gftpui_common_run_ls()

	* src/uicommon/gftpui.c (gftpui_common_cmd_ls)
	src/gtk/transfer.c (ftp_list_files) - converted these functions
	over to use gftpui_common_run_ls()

	* lib/gftp.h src/gtk/misc-gtk.c src/text/gftp-text.c - added logging
	level type gftp_logging_misc_nolog. If a message is logged with this
	level, it will be displayed to the screen but, it will not be logged
	to disk.

	* src/uicommon/gftpui.c - log the directory listings with the log level
	gftp_logging_misc_nolog

	* src/gtk/gtkui.c (gftpui_generic_thread) - fixed segfault. Pass
	cdata structure instead of wdata.

2004-1-4 Brian Masney <masneyb@gftp.org>
	* src/text/Makefile.am src/gtk/Makefile.am - added @LIBINTL@ to LDADD
	line of Makefile.am

	* configure.in - added src/uicommon/Makefile to the list of files to
	be generated. 

	* configure.in lib/gftp.h - check for sys/mkdev.h header file. If it is
	found, include it. Solaris needs this for major() and minor()

	* src/uicommon/gftpui.c src/uicommon/gftpui.h
	src/uicommon/gftpuicallbacks.c - when switching between ascii/binary,
	set the option on a global basis. Converted chdir, chmod, delete,
	rename, rmdir commands over to using the new command run format so that
	it will work in the different UIs. Added site command to the command
	line.

	* lib/misc.c (gftp_parse_command_line) - unified this function so that
	it is consistent for all arguments.

	* lib/protocols.c (gftp_file_destroy) - fixed memory leak (utf8_file
	was not being freed)

	* docs/gftp-faq.sgml - updated link to the (old) threaded version of
	XFree86 libraries

2003-12-29 Brian Masney <masneyb@gftp.org>
	* po/POTFILES.in - added the new uicommon files to this file

2003-12-28 Brian Masney <masneyb@gftp.org>
	* src/gtk/gtkui.c src/text/textui.c - necessary UI related files for
	each port of gftp. The uicommon code will call these functions.

2003-12-28 Brian Masney <masneyb@gftp.org>
	**** NOTE: this commit breaks a lot of functionality in gftp. I ****
	**** still have more work to do on this. Please don't email me  ****
	**** saying that the CVS code is broken.                        ****

	* lib/bookmark.c lib/gftp.h lib/local.c lib/options.h lib/rfc2068.c
	lib/rfc959.c lib/sshv2.c - moved the use_threads option from the
	request structure over to the protocol declaration in options.h.

	* lib/options.h src/gtk/gftp-gtk.c - added cmd_in_gui option. When this
	option is enabled, a new toolbar will be shown in the GTK+ port that
	will allow you to control the GUI by entering manual commands.

	* src/Makefile.am - added uicommon directory

	* src/gtk/Makefile.am src/text/Makefile.am - link in the uicommon
	library.

	* src/uicommon/* src/text/gftp-text.c - moved most of the functionality
	of the text port over to the uicommon directory. Made this code a little
	more generic so that the GTK+ port can have a text interface
	associated with it.

	* src/gtk/gtkui.c src/gtk/gftp-gtk.c src/gtk/mkdir_dialog.c
	src/gtk/rename_dialog.c src/gtk/menu-items.c src/gtk/misc-gtk.c -
	started to clean up the callback functions and make them more tightly
	integrated with the uicommon code.

	* src/gtk/bookmarks.c src/gtk/chmod_dialog.c src/gtk/delete_dialog.c
	src/gtk/gftp-gtk.c src/gtk/menu-items.c src/gtk/misc-gtk.c
	src/gtk/transfer.c -
	s/refresh/gftpui_refresh/g
	s/jmp_environment/gftpui_common_jmp_environment/g
	s/request->use_threads/gftpui_common_use_threads (request)/g

	* src/gtk/options_dialog.c (apply_changes) - whenever the options are
	saved, check to see if the command entry needs to be shown or hidden.

2003-12-10 Brian Masney <masneyb@gftp.org>
	* lib/rfc959.c - fix IPv6 compile problem when IPv6 support is not
	available on the system.

	* lib/gftp.h src/text/gftp-text.h src/gtk/gftp-gtk.h - added
	GFTP_LOG_FUNCTION_ATTRIBUTES that is only defined when compiled
	against gcc. When this is set, it will specify the function is
	printf() type function so that extra checks can be done by the
	compiler. This is to fix problems with older Sun compilers.

	* src/gtk/gftp-gtk.c src/gtk/menu-items.c src/gtk/misc-gtk.c - check
	for a timeout from the remote server when refreshing the directory
	listing and changing directores. If it did, reconnect to the server.

	* lib/rfc2068.c - set the default file attributes to -rw-r--r-- for
	all files.

2003-12-7 Brian Masney <masneyb@gftp.org>
	* lib/options.h lib/config_file.c - removed scramble_passwords
	option. Instead, make this the default action all the time. This
	is to avoid having too many unnecessary options. Also put a note
	at the top of the bookmarks file stating the passwords are being
	scrambled.

	* lib/config_file.c lib/gftp.h lib/misc.c lib/options.h - added
	scramble passwords option. This patch is mostly from Aurelien Jarno
        <lists@aurel32.net>, but it was modified by me quite a bit. This is
	not safe, and can be broken. That is why it's labeled scrambled
	passwords instead of encrypt passwords.

	* acinclude.m4 - fix to AC_INTL_PRINTF

	* src/gtk/dnd.c (openurl_get_drag_data) - if we are connected to a
	remote site, disconnect before parsing the URL. This fixes a bug where
	the directory was not being refreshed properly (from Aurelien Jarno
	<lists@aurel32.net>)
	
	* configure.in acinclude.m4 lib/misc.c - added AC_INTL_PRINTF macro.
	If the printf family of functions supports %'ld, then HAVE_INTL_PRINTF
	will be defined. The appropriate version of insert_commas() can be
	used.

2003-12-4 Brian Masney <masneyb@gftp.org>
	* src/gftp.in - check for the bin_dir for the binary location

	* lib/cache.c lib/misc.c lib/protocols.c lib/rfc2068.c lib/rfc959.c 
	lib/sshv2.c lib/sslcommon.c src/text/gftp-text.c src/gtk/chmod_dialog.c
	src/gtk/gftp-gtk.c src/gtk/menu-items.c src/gtk/misc-gtk.c
	src/gtk/mkdir_dialog.c src/gtk/rename_dialog.c src/gtk/transfer.c -
	when calling gftp_lookup_global_option() or
	gftp_lookup_request_option(), if the value is an integer, declare
	the variable type to be intptr_t. This fixes a bug on 64bit platforms
	(from Gwenole Beauchesne <gbeauchesne@mandrakesoft.com>)

	* lib/config_file.c (gftp_config_file_read_float) - 64bit fixup

	* configure.in - increment version to 2.0.17pre0. Undefine _GNU_SOURCE.
	Check for stdint.h.

	* lib/gftp.h - include stdint.h if it is found on the system.

	* src/gtk/gftp-gtk.c (CreateToolbar) - on startup, have the host edit
	box grab the keyboard focus

2003-11-30 Brian Masney <masneyb@gftp.org>
	* lib/sshv2.c - cleaned up some of the code. Added a temporary fix for
	an upload crash that is happening on FreeBSD. 

	* src/gtk/transfer.c - shows status information in title bar. (patch
	from Jamil Geor <jamil_geor@yahoo.co.nz>, cleaned up by me some)

	* lib/options.h - added show_trans_in_title option.
	
2003-11-25 Brian Masney <masneyb@gftp.org>
	* lib/misc.c (gftp_locale_init) - call bindtextdomain() so that the
	directory is setup properly

	* lib/misc.c lib/gftp.h lib/config_file.c - move copyfile() to 
	config_file.c and declare it to be static. On the destination file,
	set the flag O_EXCL

2003-11-23 Brian Masney <masneyb@gftp.org>
	* src/gtk/transfer.c - when transfering a file, if the file being
	transfered is greater in the destination than in the source, overwrite
	it

	* lib/rfc959.c (rfc959_ipv6_data_connection_new) - when parsing the
	output, parse the integers as unsigned.

2003-11-9 Brian Masney <masneyb@gftp.org>
	* lib/options.h lib/protoocols.c - added enable_ipv6 option. 

	* lib/rfc959.c lib/protocols.c - if there is an error creating a socket,
	log a more informative error about what kind of socket was attempted
	to be created.

	* debian/* - updated Debian package files from 
	Aurelien Jarno <aurel32@debian.org>

2003-11-9 Brian Masney <masneyb@gftp.org>
	* Officially released 2.0.16

	* debian/ChangeLog - incremented version to 2.0.16

	* docs/Makefile.am - clean up documentation in clean target

	* docs/website/generate-gftp-website.pl docs/website/index.html.in -
	copy README/FAQ that is automatically generated to the website.

	* docs/website/install.html docs/website/faq.html - no longer needed
	anymore.

	* docs/website/index.html.in - updated the list of languages

	* ChangeLog-old - updated with brief list of changes since 2.0.15

2003-11-7 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h lib/local.c lib/protocols.c lib/rfc2068.c lib/rfc959.c
	lib/sshv2.c - added copy_param_options method to gftp_request
	structure. When a gftp_request structure is copied, if a
	copy_param_options method exists, this will be called so that the
	local protocol data can be copied over. This is only used by the
	FTP protocol at the moment to save the current state of Ascii or
	Binary transfers.

	* src/gtk/transfer.c (transfer_done) - when a transfer is
	completed, copy the local protocol options back to the main window

	* lib/rfc959.c (gftp_set_data_type) - check the return value of 
	rfc959_send_command() and if there is an error, return that
	error.

	* configure.in - added 'hr' to ALL_LINGUAS

2003-11-5 Brian Masney <masneyb@gftp.org>
	* TODO - updated

	* configure.in - updated version to 2.0.16.

	* configure.in docs/Makefile.am - Added check for the db2html
	command (from gtk+ configure)

	* docs/gftp-faq.sgml - updated with more information

	* docs/website/index.html.in - updated list of translations

	* lib/misc.c (expand_path) - expand paths with double slashes
	properly to support Novell directory listings.
	(gftp_build_path) - better checking of paths that end in /.
	(gftp_info) - show if _REENTRANT was defined when it was compiled.

	* README - removed, this is automatically generated now.

2003-11-3 Brian Masney <masneyb@gftp.org>
	* docs/gftp-faq.sgml docs/Makefile.am - added initial SGML version
	of the gFTP FAQ. I used the same format as the GTK+ FAQ.

	* lib/gftp.h src/gtk/transfer.c src/gtk/delete_dialog.c - removed
	transfer_direction variable from gftp_transfer structure. Cleaned
	up the code that did checks based on the value of this variable.

	* lib/rfc959.c (rfc959_syst) - added a check for Novell FTP servers

	* src/gtk/transfer.c (add_file_transfer) - check the value of the option
	one_transfer and if that is disabled, do not append the file transfers.
	(transfer_done) - refresh the destination window correctly after a
	transfer is completed.

2003-11-2 Brian Masney <masneyb@gftp.org>
	* lib/rfc2068.c (rfc2068_get_file) - if there is any data in the current
	read buffer, grab that data first. Otherwise, read from the socket.

	* lib/rfc2068.c (rfc2068_chunked_read) - more improvements to this
	function so that it will parse more chunked file transfers correctly.

	* lib/misc.c lib/gftp.h lib/rfc2068.c src/gtk/bookmarks.c 
	src/gtk/dnd.c - removed remove_double_slashes(). Call gftp_build_path()
	to build the paths. This now allows Novell directory listings with 
	//server

	* lib/protocols.c src/gtk/transfer.c lib/gftp.h - added variable
	conn_error_no_timeout to gftp_transfer structure. If this is enabled,
	if the remote connection to the server timed out, don't wait and
	immediately reconnect. So far, the only time this is used is when the
	user was editing a file and it is to be uploaded back to the server.

	* src/gtk/gftp-gtk.h src/gtk/transfer.c - add_file_transfer() now
	returns the struct gftp_transfer that was just added.

	* src/gtk/misc-gtk.c (update_directory_download_progress) - don't
	make the window a popup and remove the window decorations

	* src/text/gftp-text.c - don't populate the transfer_direction variable
	in struct gftp_transfer. This is only needed by the GTK+ port and will
	hopefully be taken out soon.

	* lib/gftp.h - remove gftp_transfer_type enum. It wasn't used anymore.
	
2003-10-27 Brian Masney <masneyb@gftp.org>
	* lib/rfc959.c (gftp_get_next_file_chunk) - fixed ASCII file corruption
	bug.

	* TODO - the top of this file now contains a list of items that needs
	to be completed before 2.0.16 can be released. If I missed something
	important, please drop me an email.

2003-10-26 Brian Masney <masneyb@gftp.org>
	* lib/rfc959.c (gftp_{get,put}_next_file_chunk) - check whether or not
	this is an ascii file transfer properly.

	* lib/rfc959.c - convert the PASS command from UTF8 using 
	gftp_convert_from_utf8()

	* src/gtk/gftp-gtk.h src/gtk/transfer.c - (create_transfer, 
	transfer_done) - added more checks whenever a transfer is created and
	stopped to make sure we don't log into the same remote host twice. This
	is mainly for DnD.

	* lib/misc.c (copy_request) - don't copy over the hostp pointer. This
	fixes a segfault in DnD

	* lib/sshv2.c - cleaned up the ssh2_params structure some

	* src/gtk/dnd.c - cleaned up the DND code some.

2003-10-25 Brian Masney <masneyb@gftp.org>
	* src/gtk/menu-items.c (dosave_directory_listing) - when saving the
	directory listing, skip over the files that are not shown based on the
	current filespec.

	* src/gtk/transfer.c src/gtk/gftp-gtk.h src/gtk/view_dialog.c - when
	editing a remote file, if the user chooses to upload the changes, make
	sure the upload is not sent to the current directory on the remote
	server.

	* lib/rfc2068.c - set the shown attributes to be -rw------- instead of
	----------. The HTTP server doesn't send the attributes over, so I just
	have to make something up.

	* src/gtk/options_dialog.c - make sure all of the tooltips text is
	passed to gettext()

	* lib/protocols.c - if the file transfer is to be throttled, only
	display the throttle message once.

	* lib/local.c (local_get_next_file) - if the file is a symlink, grab
	file size and attributes from the file this symlink points to.

2003-10-22 Brian Masney <masneyb@gftp.org>
	* lib/rfc2068.c - fixed parsing some chunked file transfers

2003-10-19 Brian Masney <masneyb@gftp.org>
	* lib/rfc959.c - abort a file transfer properly. When a transfer is
	aborted, you will not be disconnected from the remote site.

	* lib/protocols.c lib/gftp.h - added gftp_string_from_utf8(). Also, make
	gftp_string_{to,from}_utf8() be defined all the time. When using 
	glib 1.2, the functions will always return NULL.

	* lib/protocols.c - when creating a directory or renaming files, make
	sure the new name is converted from UTF8 to the local character set
	or the charset specified in the remote_charsets option.

	* src/gtk/misc-gtk.c (update_window_info) - when showing the directory
	we are currently in, make sure it is converted to UTF8

2003-10-18 Brian Masney <masneyb@gftp.org>
	* lib/misc.c lib/gftp.h src/text/gftp-text.c src/gtk/gftp-gtk.c - added
	gftp_locale_init().

	* src/gtk/Makefile.am src/text/Makefile.am - removed declaration of
	LOCALE_DIR

	* lib/Makefile.am - added declaration of LOCALE_DIR

	* lib/misc.c (insert_commas) - if _GNU_SOURCE is defined, instead of
	using my builtin function for formatting numbers, use glibc's %'ld
	(or %'lld) format to print the numbers out. This is more portable for
	other locales.

2003-10-17 Brian Masney <masneyb@gftp.org>
	* lib/rfc959.c (rfc959_ipv[46]_data_connection_new) - when there is an
	error establishing a connection to the remote server, make sure that
	GFTP_ERETRYABLE is returned.

2003-10-13 Brian Masney <masneyb@gftp.org>
	* src/gtk/options_dialog.c - when specifying a FTP proxy config in the 
	GTK+ 2.0 port, the last character was getting chopped off.

2003-10-12 Brian Masney <masneyb@gftp.org>
	* lib/rfc959.c - when logging in to the server, if a 5xx code is 
	returned, don't attempt to log in again.

	* src/gtk/bookmarks.c - disconnect from the site before we parse the
	bookmarks (from Aurelien Jarno <lists@aurel32.net>)

	* lib/sshv2.c - fixed crash when deleting subdirectories with the SSH2
	protocol.

2003-10-4 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c - fix for CRAY directory listings. Some UNIX directory
	listings with files containing spaces could be misinterpreted.

	* cvsclean - purge the m4 directory, but save the largefile.m4 file.
	(from Nathan Robertson <nathanr@nathanr.net>)

2003-10-03  Marcel Telka  <marcel@telka.sk>

	* configure.in (ALL_LINGUAS): Added sk.

2003-10-2 Brian Masney <masneyb@gftp.org>
	* lib/rfc959.c - fixed rename bug (from 
	Aurelien Jarno <aurel32@debian.org>)

	* src/gtk/gftp-gtk.c - make the help menu left aligned so that it is
	more consistent with other GNOME apps 
	(from Miguel Ibarra <mibarra@ximian.com>)

	* src/gtk/transfer.c - right after the pointer to the next transfer
	is moved, set the current transfer size back to 0. The user could
	briefly (< 1 sec) see the old size transfered on the next file.
	
2003-09-23  Taneem Ahmed  <taneem@bengalinux.org>

	* configure.in: Added "bn" to ALL_LINGUAS.

2003-9-21 Brian Masney <masneyb@gftp.org>
	* src/gtk/menu-items.c (dosave_directory_listing) - fixed a bug that 
	would occur when saving directory listings to a file, the last filename
	in the list was never written to the file 
	(from Aurelien Jarno <aurel32@debian.org>)

	* lib/protocols.c (gftp_parse_bookmark) lib/gftp.h lib/bookmark.c 
	src/gtk/bookmarks.c - added pointer to refresh_local variable that is
	enabled if the local directory was changed. In src/gtk/bookmarks.c, if
	the local directory was changed, refresh the directory listing.

	* lib/local.c src/gtk/transfer.c src/text/gftp-text.c - if there is a
	dangling symlink in the current directory, don't bail out. This was 
	causing directory listings to appear truncated.

	* configure.in - increment version to 2.0.16pre0

	* lib/rfc959.c - if there is a login failure, return GFTP_ERETRYABLE
	(from winkey <rush@winkey.oompah.org>)

2003-09-01  Metin Amiroff  <metin@karegen.com>

	configure.in: Added "az" in ALL_LINGUAS.

2003-8-21 Brian Masney <masneyb@gftp.org>
	* Officially released 2.0.15

2003-8-20 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h lib/protocols.c - largefile fixes

	* configure.in debian/changelog - updated version

	* cvsclean - clean up after ourselves a little more
	
	* ChangeLog-old README TODO docs/website/index.html.in - updated

2003-8-17 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (parse_time) - when parsing timestamps that are not in
	the current locale, skip over the proper amount of tokens. This is so
	that the filename is returned properly.

	* lib/misc.c (gftp_info) - show the protocols that are installed.

2003-8-11 Brian Masney <masneyb@gftp.org>
	* lib/local.c (local_get_next_file) - fix for directories that are 
	symlinks

	* src/gtk/*.[ch] - updated copyright dates to 2003 on all of the files

	* src/gtk/menu-items.c lib/rfc959.c - fix for selecting ASCII/Binary 
	transfers

	* src/gtk/delete_dialog.c - don't attempt to clear the cache for the
	protocols that have the cache disabled

	* lib/local.c (local_chdir) - if request->directory == directory,
	don't free the request->directory and run getcwd(). This fixes a double
	free in the delete dialog in the GTK+ port

	* lib/gftp.h - added FIXME comment

	* lib/cache.c (gftp_delete_cache_entry) - added assertion

2003-8-7 Brian Masney <masneyb@gftp.org>
	* configure.in - HPUX fix

	* debian/changelog - incremented version

	* Officially release 2.0.15rc2

2003-8-7 Brian Masney <masneyb@gftp.org>
	* lib/cache.c lib/misc.c lib/protocols.c lib/pty.c - make sure a NUL
	byte appears at the end of the buffer after the call to strncpy

	* lib/rfc959.c - increased buffer size to directory parsing routine
	
	* lib/protocols.c (gftp_fd_write) - use a signed variable to store the
	result from write(). Write errors were not being caught properly.

2003-8-6 Brian Masney <masneyb@gftp.org>
	* lib/misc.c (gftp_build_path) - fixed initial path beginning with //.
	(expand_path) - when the path is empty at the end, set it to /. This
	would happen for directories like /etc/..

2003-8-4 Brian Masney <masneyb@gftp.org>
	* src/gtk/transfer.c (update_file_status) - fix possible division by 0

2003-8-4 Brian Masney <masneyb@gftp.org>
	* src/gtk/gftp-gtk.c (CreateMenus) - on startup, select the proper
	ASCII/binary radio button (looks like an old bug!)

	* lib/misc.c lib/gftp.h - renamed my version of g_build_path() (was
	used only in glib 1.2 only) to gftp_build_path() and it's compiled in
	all the time now

	* lib/protocols.c lib/sshv2.c src/gtk/dnd.c src/gtk/menu-items.c - 
	instead of using g_build_path(), use gftp_build_path()

2003-8-3 Brian Masney <masneyb@gftp.org>
	* lib/local.c (local_put_file) - specify an initial file creation mode
	of 0644

	* lib/misc.c lib/gftp.h - added gftp_parse_file_size(). This function
	works correctly for files greater than 2.1GB

	* lib/rfc959.c (rfc959_get_file) lib/protocols.c lib/rfc2068.c
	lib/rfc959.c - use gftp_parse_file_size()

	* lib/protocols.c lib/gftp.h (gftp_get_file, gftp_put_file, 
	gftp_transfer_file) - changed type of startsize paramter from size_t
	to off_t

2003-7-31 Brian Masney <masneyb@gftp.org>
	* lib/sshv2.c - fix blocking problem reading the error message from the
	remote server when there was an error establishing a connection

	* lib/misc.c (copy_fdata) - copy utf8_file variable in gftp_file
	structure. (fix double free that was only in development version)

	* lib/misc.c - added --info argument to the command line. This will 
	call gftp_info(), which will print out some information about how
	gftp was compiled. 

	* lib/protocols.c lib/bookmarks.c lib/gftp.h src/gtk/bookmarks.c -
	added local_request parameter to gftp_parse_bookmark(). If this is not
	NULL, and this bookmark specifies a local directory, it will change to
	it.

	* configure.in - increment version to 2.0.15rc2

2003-07-30  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS.

2003-7-29 Brian Masney <masneyb@gftp.org>
	* src/gtk/options_dialog.c - fix crash that would occur when hitting 
	apply, then ok

2003-7-25 Brian Masney <masneyb@gftp.org>
	* configure.in - define HAVE_OPENPTY if openpty() is found in libutil

	* lib/gftp.h lib/pty.c - moved including of some PTY related header
	files to pty.c. Hopefully should fix build problems under FreeBSD

2003-7-25 Brian Masney <masneyb@gftp.org>
	* src/gtk/transfer.c - changed looking up of overwrite_by_default to
	overwrite_default

	* src/text/gftp-text.h - fix for when the readline library was not 
	found on the local system

2003-7-25 Brian Masney <masneyb@gftp.org>
        * lib/pty.c - prefer to use openpty() instead of grantpt() if it is
        available (for FreeBSD)

        * lib/sshv2.c - fixes for FreeBSD password prompt (from Oliver Lehmann 
        <oliver@FreeBSD.ORG>)

        * src/gtk/gftp-gtk.h src/text/gftp-text.h - added 
        __attribute__((format(printf, 3, 4))) to logging functions (from
        Oliver Lehmann <oliver@FreeBSD.ORG>)

2003-7-25 Brian Masney <masneyb@gftp.org>
	* lib/pty.c - prefer to use openpty() instead of grantpt() if it is
	available (for FreeBSD)

	* lib/sshv2.c - fixes for FreeBSD password prompt (from Oliver Lehmann 
	<oliver@FreeBSD.ORG>)

	* src/gtk/gftp-gtk.h src/text/gftp-text.h - added 
	__attribute__((format(printf, 3, 4))) to logging functions (from
	Oliver Lehmann <oliver@FreeBSD.ORG>)

2003-7-23 Brian Masney <masneyb@gftp.org>
	* TODO - updated

	* debian/* - new files from the Debian maintainer

	* docs/website/generate-gftp-website.pl - fixed generating changelog
	file

	* po/*.po - updated line numbers

2003-7-23 Brian Masney <masneyb@gftp.org>
	* configure.in - incremented version to 2.0.15rc1. Also, if readline
	wasn't found on the system, the text port wasn't be built

	* ChangeLog-old - added summary of changes since version 2.0.14

	* TODO - updated

	* src/text/gftp-text.c - build fixes if readline isn't present on the
	system

	* lib/sshv2.c - don't print out the network error as well when getting
	the error message from the remote server. The user is only interested
	in the error returned from the server.
	
2003-7-22 Brian Masney <masneyb@gftp.org>
	* lib/config_file.c lib/gftp.h - added gftp_lookup_bookmark_option()
	and gftp_set_bookmark_option(). Also added _gftp_set_option_value()
	that is used by the set functions for bookmark and request structures

	* src/gtk/bookmarks.c - make sure the options are copied over to the
	new bookmarks. Also show all of the editable toptions for this bookmark
	entry

	* src/gtk/options_dialog.c src/gtk/gftp-gtk.h lib/config_file.c 
	lib/gftp.h - improvements to overriding options for each bookmark 
	entry. There is still one crash that is occuring that I have to track
	down. For the moment, don't edit the bookmarks twice in the same 
	session.

2003-7-20 Brian Masney <masneyb@gftp.org>
	* lib/config_file.c lib/gftp.h - added compare_function to 
	gftp_config_vars structure. (gftp_set_global_option) use the compare
	function to see if the value was actually changed, and if so set the
	gftp_configuration_changed variable

	* lib/misc.c lib/gftp.h - For glib 1.2, added my version of 
	g_build_path() since it's not there

	* lib/misc.c - GLIB/GTK+ 1.2 fixes

	* lib/protocols.c (gftp_fd_open) - cleaned up some

	* lib/rfc959.c (rfc959_init) - if the email address is blank, get the
	users address here instead of in register_module. It was being blanked 
	out when the config file was being read

	* lib/options.h lib/rfc2068.c lib/rfc959.c lib/sshv2.c - mark the 
	config variables that can show up in the bookmarks editor

	* src/text/gftp-text.c src/gtk/options_dialog.c - use 
	gftp_set_global_option() to set the new configuration values

	* src/gtk/bookmarks.c - fixed crash in bookmarks dialog. Added notebook
	widget to the dialog as well. The options that can be edited for this 
	site will show up in other tabs

	* src/gtk/gftp-gtk.c - fixes to the calls to gftp_set_global_option()

	* src/gtk/options_dialog.c - added gftp_gtk_setup_bookmark_options()
	to display all the editable options for this bookmark

2003-7-11 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (gftp_calc_kbs) - only call gettimeofday() at the
	end only if we are throttling this connection

	* lib/cache.c lib/options.h docs/sample.gftp/gftprc - added cache_ttl
	option to determine the amount of time that cache entries will stay 
	around

	* docs/gftp.xml docs/legal.xml docs/figures/* - documentation from
	Alexander Kirillov <kirillov@math.sunysb.edu>

	* docs/website - files for generating my main website. They aren't
	pretty, but hey it works. I'm mainly putting these in CVS just for
	backup purposes.

2003-7-10 Brian Masney <masneyb@gftp.org>
	* lib/misc.c (insert_commas) - improved calculating # of digits
	in number. (Not sure if this worked properly for long long's, aka
	off_t when _LARGEFILE_SOURCE is defined)

	* src/gtk/transfer.c (update_file_status) - changed type of remaining
	field to be off_t. (hopefully fixes >2.1GB problem)

	* lib/protocols.c (gftp_calc_kbs) - improved throttling module.

2003-7-9 Brian Masney <masneyb@gftp.org>
	* lib/sshv2.c - if we are logging in to the server, and the message 
	size is too big from the server, assume that an error message follows
	and log the ASCII text to the log window

	* src/gtk/options_dialog.c - make sure the value is set properly for
	the textcomboedt option types (the FTP proxy server type uses this)

	* lib/rfc2068.c - HTTP proxy bug fixes. Also, moved rfc2068_connect()
	call to rfc2068_send_command() and removed it from the now unneeded
	places. Also, fix in call to HEAD command

	* src/text/gftp-text.c - fixed NULL pointer deference in changing 
	directory

	* docs/sample.gftp/gftprc - enable require SSH user/pass by default

2003-7-9 Brian Masney <masneyb@gftp.org>
	* lib/config_file.c (gftp_write_config_file) - fix for writing out
	list items to the config file. 

	* lib/config_file.c lib/gftp.h - added gftp_free_proxy_hosts() and
	gftp_copy_proxy_hosts()

	* lib/protocols.c (gftp_connect_server) - look up dont_use_proxy
	instead of ext

	* lib/protocols.c lib/sshv2.c src/gtk/dnd.c src/gtk/menu-items.c - 
	when calling g_build_path(), set the directory separator to / instead
	of G_DIR_SEPARATOR_S

	* src/gtk/gftp-gtk.c (toolbar_hostedit) - fixed crash

	* src/gtk/gftp-gtk.h - removed gotbytes from gftp_window_data
	structure

	* src/gtk/options_dialog.c - show proxy hosts in options dialog

	* docs/sample.gftp/gftprc - new default config file

2003-7-7 Brian Masney <masneyb@gftp.org>
	* configure.in src/gtk/Makefile.am src/text/Makefile.am - if the 
	OpenSSL libraries are available on the system, link them in and
	define USE_SSL. The generic SSL engine and the HTTPS protocol checks
	for this

	* lib/protocols.c (gftp_get_line) - small fix

	* lib/rfc2068.c - fixed several bugs in the handling of chunked 
	messages that are spread across multiple packets (the HTTPS protocol
	unconvered all of these)

	* lib/sslcommon.c - several fixes and cleanups

2003-7-6 Brian Masney <masneyb@gftp.org>
	* lib/configure.in - check for getdtablesize()

	* TODO - updated

2003-7-6 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c lib/sshv2.c src/gtk/dnd.c src/gtk/menu-items.c -
	instead of using g_strconcat to build the directory paths, use
	g_build_path. Fixes a bug when you was connected to a remote host,
	and you was in /, the path would show up as // 
	(from Krzysztof Foltman <kfoltman@onet.pl>, slightly changed by me)

2003-7-6 Brian Masney <masneyb@gftp.org>
	* lib/pty.c lib/gftp.h - added gftp_exec_with_new_pty() and
	gftp_exec_without_new_pty()

	* lib/sshv2.c - use the 2 new functions above

	* lib/pty.c lib/gftp.h - split open_ptys() to _gftp_ptym_open()
	and _gftp_ptys_open()

	* lib/sslcommon.c - don't do thread setup if we are compiling against
	glib 1.2. I do not want to link against the pthread library because 
	that would make the text port dependant on pthreads being installed on
	the box

2003-7-5 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (gftp_get_line) - fixed bug where the read function
	was being called one extra time after the end of file was reached

	* lib/rfc2068.c - fixes for chunked file transfers. All known issues with the
	HTTP protocol should be (hopefully) fixed now

	* lib/httpcommon.h (struct rfc2068_params_tag) - added eof variable

2003-7-1 Brian Masney <masneyb@gftp.org>
	* lib/misc.c (base64_encode) - alphabet fix (+ wasn't a valid
	character, it should have been /) (thanks to Holger Kiehl
	<Holger.Kiehl@dwd.de> for pointing this out)

	* lib/config_file.c lib/gftp.h - added copy function for options
	variables. The functions gftp_config_file_copy_text(), 
	gftp_config_file_copy_ptr_contents() and gftp_config_file_copy_color()
	were added

	* lib/protocols.c - make sure the remote_charsets string is restored
	properly after it is used

	* src/gtk/bookmarks.c - remove memory leak comments, these are fixed
	now

	* src/gtk/transfer.c - removed start_file_transfers variable

	* src/gtk/misc-gtk.c src/gtk/gftp-gtk.h lib/misc.c lib/gftp.h - moved
	get_next_selection() to lib

	* acinclude.h (AC_TYPE_SOCKLEN_T) - AC_DEFINE fix (from
	Nathan Robertson <nathanr@nathanr.net>)

2003-6-25 Brian Masney <masneyb@gftp.org>
	* lib/misc.c (expand_path) - small improvements

	* lib/rfc2068.c src/text/gftp-gtk.c - fixes for path handling, namely
	when changing directories to the parent (..)

2003-6-25 Brian Masney <masneyb@gftp.org>
	* lib/misc.c - fix warning if DMALLOC is disabled

	* src/text/gftp-text.c - don't attempt to expand the local directory

	* TODO - updated

2003-6-25 Brian Masney <masneyb@gftp.org>
	* acinclude.m4 - added AC_TYPE_SOCKLEN_T. Thanks to
	Nathan Robertson <nathanr@nathanr.net> for pointing this out

	* configure.in - call AC_TYPE_SOCKLEN_T. Updates to AC_OUTPUT

	* lib/gftp.h - remove check for HAVE_SOCKLEN_T
	
	* Makefile.am - formatting fixes

2003-6-25 Brian Masney <masneyb@gftp.org>
	* configure.in - added mk to ALL_LINGUAS

	* lib/gftp.h - added several macros for dmalloc

	* lib/misc.c src/text/gftp-text.c src/gtk/gftp-gtk.c - added
	gftp_shutdown() to misc.c. This will write out the configuration
	file, clear the cache, and if dmalloc is enabled, free the memory
	that was allocated on startup

	* lib/config_file.c lib/gftp.h lib/misc.c lib/options.h - added
	gftp_configuration_changed parameter

	* lib/config_file.c lib/misc.c lib/protocols.c - added 
	gftp_config_free_options()

	* lib/config_file.c src/gtk/bookmarks.c - added gftp_bookmarks() which
	is derived mostly from bm_close_dialog()

	* lib/rfc959.c - added rfc959_request_destroy(). Free the getline
	buffers in this function

	* src/gtk/misc-gtk.c (gftp_item_factory_translate) - remove double 
	g_strdup() call

	* lib/config_file.c lib/gftp.h src/gtk/misc-gtk.c - moved
	get_xpm_path() to GTK+ port. No longer call it startup when reading
	the config file
	
2003-6-24 Brian Masney <masneyb@gftp.org>
	* lib/config_file.c lib/gftp.h lib/protocols.c - added backend for 
	overriding options on a per bookmark basis. Also added 
	gftp_copy_local_options() to config_file.c

	* lib/gftp.h lib/misc.c src/gtk/bookmarks.c - added
	gftp_free_bookmark() to misc.c. It was taken from the function
	free_bookmark_entry_items() in bookmarks.c

	* lib/sslcommon.c - formatting fixes. Added thread functions (mostly 
	from the OReilly SSL book)

2003-6-22 Brian Masney <masneyb@gftp.org>
	* lib/config_file.c lib/gftp.h - renamed parse_args to 
	gftp_config_parse_args() and removed the static declaration

	* lib/protocols.c (gftp_request_destroy) - fixed memory problem with 
	the new local configuration interface

	* src/gtk/gftp-gtk.c - added gftp_gtk_config_(read|write)_color().
	I am overriding the read and write functions for
	gftp_option_type_color to be these functions. This is so that I can
	use a GdkColor structure instead of a gftp_color structure

	* src/gtk/misc-gtk.c - when destroying the dialogs, set the pointers
	to NULL before we call the callback functions. This is to make sure
	that they aren't being used in the callbacks

	* TODO - updated

2003-6-19 Brian Masney <masneyb@gftp.org>
	* autogen.sh - updated to hopefully make it more portable across
	various systems

	* lib/rfc959.c - change variable type of data_addr_len from size_t
	to socklen_t (fixed warnings on 64 bit machines)

	* src/gtk/chmod_dialog.c src/gtk/gftp-gtk.c src/gtk/menu-items.c
	src/gtk/misc-gtk.c src/gtk/mkdir_dialog.c src/gtk/options_dialog.c
	src/gtk/rename_dialog.c src/gtk/transfer.c - rather than casting
	from integer to pointer and vice versa, use GINT_TO_POINTER and
	GPOINTER_TO_INT. These macros do the exact same thing and I'm 
	still getting compiler warnings on Debian Sparc64 with -m64, but at
	least I'll be able to fix the define in glib and then these warnings
	will be fixed then

2003-6-18 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c - send right parameters to the logging function
	(from Nam SungHyun <namsh@kldp.org>)

2003-6-17 Brian Masney <masneyb@gftp.org>
	* src/gtk/misc-gtk.c (ftp_log) - remote charset fixes for when the log 
	message is generated inside a child thread

	* lib/cache.c - don't complain about not being able to open index.db

2003-6-16 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (gftp_string_to_utf8) - return if request is NULL

	* lib/protocols.c - run g_iconv_close() in gftp_disconnect() instead
	of gftp_end_transfer()

	* lib/gftp.h src/text/gftp-text.c src/gtk/misc-gtk.c - changed 2nd
	parameter of logging function to be a request structure, instead of
	request->user_data. In the logging functions, if the string isn't in
	UTF-8, convert it with gftp_string_to_utf8()

	* lib/bookmark.c lib/cache.c lib/gftp.h lib/https.c lib/local.c
	lib/protocols.c lib/rfc2068.c lib/rfc959.c lib/sshv2.c lib/sslcommon.c
	src/gtk/chmod_dialog.c src/gtk/delete_dialog.c src/gtk/gftp-gtk.h 
	src/gtk/menu-items.c src/gtk/misc-gtk.c src/gtk/mkdir_dialog.c 
	src/gtk/rename_dialog.c src/gtk/transfer.c src/text/gftp-text.c 
	src/gtk/gftp-gtk.h src/text/gftp-text.h - pass request structure
	to logging function instead of request->user_data

	* lib/protocols.c (_gftp_get_next_charset) - set the separator for
	remote charsets to be a comma

	* lib/options.h - updated description of remote charsets

	* lib/gftp.h lib/misc.c lib/options.h lib/protocols.c
	src/gtk/misc-gtk.c - added remote_charsets option. Whenever a file is
	read in that is not in UTF-8, it will first attempt to convert it from
	the local charset, and if that fails, it will try each of the locales
	in this list. I have no idea if this even works, so if someone can test
	this, please let me know.

2003-6-15 Brian Masney <masneyb@gftp.org>
	* lib/cache.c lib/gftp.h - added gftp_generate_cache_description(). 

	* lib/cache.c lib/gftp.h src/text/gftp-text.c src/gtk/delete-dialog.c 
	src/gtk/menu-items.c src/gtk/misc-gtk.c src/gtk/mkdir-dialog.c - Added
	description parameter to gftp_delete_cache_entry().

	* lib/protocols.c lib/gftp.h - added gftp_fd_open(). It will call 
	open() and then set the socket option close on exec

	* lib/cache.c lib/local.c lib/misc.c - use gftp_fd_open() instead of
	open()

	* lib/rfc959.c lib/protocols.c - on newly created sockets, make sure
	the close on exec socket option is set

	* lib/options.h src/text/gftp-text.c src/gtk/transfer.c - added
	preserve_permissions option

	* lib/protocols.c (gftp_parse_url) - allow an @ to be in the username

	* src/text/gftp-text.c - after transfering a file, honor 
	preserve_permissions if it is set

	* src/gtk/delete-dialog.c - improvments to clearing the expired cache
	entries

2003-6-14 Brian Masney <masneyb@gftp.org>
	* lib/cache.c (gftp_delete_cache_entry) - fix for restoring newlines

	* lib/gftp.h lib/protocols.c - added EOF flag for gftp_get_line()

	* lib/gftp.h lib/pty.c - added get_pty_impl() function for each PTY
	type

	* src/text/gftp-text.c - after removing files, clear the cache for
	that directory

2003-6-11 Brian Masney <masneyb@gftp.org>
	* lib/configure.in lib/gftp.h - portability fix for openpty(). (from 
	Nathan Robertson <nathanr@nathanr.net>, which he took from 
	http://mail.python.org/pipermail/patches/2000-June/000953.html)

	* lib/pty.h - found out about #elif preprocessor macro ;)

2003-6-9 Brian Masney <masneyb@gftp.org>
	* lib/bookmark.c lib/gftp.h lib/local.c lib/protocols.c lib/rfc2068.c
	lib/rfc959.c lib/sshv2.c - make return value of *_set_config_options()
	be an integer

	* lib/rfc2068.c lib/rfc959.c - return the error code of
	gftp_connect_server() if there was a connection problem

2003-6-8 Brian Masney <masneyb@gftp.org>
	* lib/rfc959.c lib/rfc2068.c - if gftp_connect_server() returns an
	error, make sure the exact error code is returned

2003-6-8 Brian Masney <masneyb@gftp.org>
	* lib/sslcommon.c - added entropy_len option. Added
	gftp_ssl_get_index(). Use SSL_get_ex_data() so that we can get the
	request structure, and error messages can be logged properly. Changed
	the verify depth from 4 to 9

2003-6-8 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h lib/sslcommon.c - added ssl_register_module(). This
	function registers the configuration variables for the SSL engine.
	Right now, the only variable is the entropy source

	* lib/https.c (https_register_module) - call ssl_register_module().
	Multiple protocols will be able to call this function, it will only 
	be initialized once

2003-6-8 Brian Masney <masneyb@gftp.org>
	* lib/bookmark.c lib/gftp.h lib/https.c lib/local.c lib/misc.c 
	lib/protocols.c lib/rfc2068.c lib/rfc959.c lib/sshv2.c
	src/text/gftp-text.c src/gtk/gftp-gtk.c - made the init function for 
	all the protocols return an integer instead of nothing. If there was an
	error setting up the protocol, GFTP_EFATAL should be returned and the
	connection should be aborted. The HTTPS protocol uses this to return if
	SSL support was not compiled in

	* lib/protocols.c src/text/gftp-text.c src/gtk/dnd.c
	src/gtk/gftp-gtk.c src/gtk/menu-items.c - have gftp_parse_url() log the
	error messages to the user. This shouldn't have been done in the
	individual ports

	* lib/https.c - only initialize the SSL engine the first time a SSL
	connection is made.

2003-6-8 Brian Masney <masneyb@gftp.org>
	* aclocal.m4 - removed, this file is automatically generated

	* autogen.sh - just call automake and aclocal, instead of automake-1.4
	and aclocal-1.4 (from Nathan Robertson <nathanr@nathanr.net>)

2003-6-8 Brian Masney <masneyb@gftp.org>
	* lib/https.c lib/options.h lib/sslcommon.c - make sure USE_SSL is
	defined before using any SSL functions

	* lib/gftp.h lib/protocols.c lib/rfc2068.c lib/sshv2.c lib/sslcommon.c
	lib/rfc959.c - make sure we use request->datafd for the connection. Removed
	sockfd from gftp_request structure

	* lib/rfc959.c - add data_connection to rfc959_parms structure. Use
	this for the FTP data connection

	* src/text/gftp-text.c - fixes for username/password prompt

	* src/gtk/misc-gtk.c src/gtk/transfer.c - s/sockfd/datafd/g

	* configure.in - added lib/Makefile (forgot to commit last time)

	* Makefile.am - added intl to SUBDIRS

2003-6-8 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h - if USE_SSL is defined, include the OpenSSL headers.
	Added read_function, write_function and post_connect function pointers
	to gftp_request structure. Added SSL object to gftp_request structure
	if USE_SSL is defined. Added protocol number and init function
	declarations for the HTTPS protocol

	* lib/options.h - added HTTPS to the list of supported protocols

	* lib/protocols.c lib/cache.c lib/rfc2068.c lib/rfc959.c lib/sshv2.c -
	renamed gftp_read(), gftp_write() and gftp_set_sockblocking() to 
	gftp_fd_read(), gftp_fd_write() and gftp_fd_set_sockblocking()
	respectively

	* lib/bookmark.c lib/local.c 

	* lib/misc.c lib/rfc2068.c - moved base64_encode() to misc.c

	* lib/protocols.c - improved parsing of URLs. Rather than calling
	gftp_read() or gftp_write() directly, call the read_function or
	write_function that is set in the request structure. Expanded tabs 
	to spaces. Cleanup for parsing of timestamps. In
	gftp_connect_server(), if a post_connect function pointer is set,
	call it after we are connected to the server. Improvements to
	gftp_get_line (). 

	* lib/httpcommon.h lib/rfc2068.c - moved rfc2068_params structure to
	httpcommon.h. Fix for chunked file transfers, they were not handled 
	at all before. Made the I/O calls a little more generic so that we can
	read from either a socket or a SSL connection.

	* lib/sslcommon.c - added generic SSL layer

	* lib/https.c - added support for the HTTPS protocol. It piggy backs
	off of the existing HTTP support and uses the generic SSL layer

	* src/gtk/bookmarks.c src/gtk/chmod_dialog.c src/gtk/gftp-gtk.c
	src/gtk/menu-items.c src/gtk/misc-gtk.c src/gtk/options_dialog.c 
	src/gtk/view_dialog.c - set the window icon name to the gFTP <version>

	* configure.in - added lib back to SUBDIRS (oops)

	* lib/Makefile.am - added https.c, sslcommon.c and httpcommon.h

2003-5-27 Brian Masney <masneyb@gftp.org>
	* Makefile.am configure.in autogen.sh - build fixes

	* src/text/gftp-text.c - if the protocol we are connecting to
	  doesn't need a username/password, don't prompt the user for one

2003-5-22 Brian Masney <masneyb@gftp.org>
	* lib/misc.c (gftp_usage) - updated usage statement

	* lib/options.h - put terminate options properly

2003-05-06  Christian Rose  <menthos@menthos.com>

	* configure.in: Added sr and sr@Latn to ALL_LINGUAS.

2003-05-01  Hasbullah Bin Pit  <sebol@ikhlas.com>
                                                                                
        * configure.in(ALL_LINGUAS): Added "ms".

2003-4-27 Brian Masney <masneyb@gftp.org>
	* lib/config_file.c (gftp_config_file_read_float) - use strtod instead
	of strtof(). ANSI C describes strtod, and C99 describes strtof(). Some
	older systems don't have strtof() 

	* lib/gftp.h - if HAVE_OPENPTY is defined, include pty.h. Fix for
	GFTP_GET_AI_FAMILY when request or request->hostp is NULL. Added
	free_hostp boolean to struct gftp_request

	* lib/misc.c src/gtk/delete_dialog.c src/gtk/transfer.c - added 
	copy_local_options parameter. Add a pointer to newreq->hostp from the 
	source request structure

	* lib/protocols.c - honor free_hostp 

	* lib/rfc959.c - fix for IPV4/IPV6 detection

	* src/gtk/misc-gtk.c src/gtk/options_dialog.c - fixed compiler errors
	when compiling against GTK+ 1.2

	* src/gtk/transfer.c - lookup option one_transfer instead of 
	do_one_transfer_at_a_time

2003-04-27  Christian Rose  <menthos@menthos.com>

	* lib/rfc959.c: Fix bug #111090 by adding
	/* xgettext:no-c-format */ comment. This trivial bug prevented any
	full localization of gftp.

2003-4-25 Brian Masney <masneyb@gftp.org>
	* lib/rfc959.c - added IPV6 support (RFC2428). The only part of the
	project that isn't IPV6 ready is the proxy comparsion functions.

	* lib/protocols.c - change the hints.ai_family paramater from AF_INET
	to PF_UNSPEC

	* lib/gftp.h lib/misc.c lib/pty.c - moved the functionality of
	pty[ms]_open() to pty.c. Combined these 2 functions into open_ptys(),
	and there is one defined for each system type (lots of #define's in
	this file!)

	* lib/Makefile.am po/POTFILES.in - added pty.c 

	* lib/sshv2.c - when searching for the password prompt, omit the first
	character in case it is capitalized. Also, use the new function 
	open_ptys()

	* configure.in - search for openpty in -lutil. Also, define
	HAVE_OPENPTY if this function is present on the system


2003-4-23 Brian Masney <masneyb@gftp.org>
	* Makefile.am - removed config.rpath from EXTRA_DIST

	* configure.in - added 'sr' to ALL_LINGUAS. Incremented
	version to 2.0.15 (will be a little while before this is released.
	Still have lots to do)

	* docs/sample.gftp/gftprc - removed old unused SSH options. These were
	used by the SSH protocol I ripped out

	* lib/config_file.c - fix for gftp_set_request_option(). Implemented 
	gftp_lookup_request_options(). Overriding of configuration options now 
	works across the board :)

	* lib/protocols.c - extra checks for freeing memory

	* src/text/gftp-text.c - renamed ssh_use_sftp_subsys to the proper
	name of sshv2_use_sftp_subsys

	* src/gtk/transfer.c - renamed append_file_transfers option
	to the proper name of append_transfers. Also, added quick fix for 
	start_file_transfers option that is still missing

	* debian/gftp-text.postinst - this will add add an alternative for the
	ftp command and point it to gftp-text

2003-4-21 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h - added ui_cancel_function to struct gftp_option_type_var

	* src/gtk/gftp-gtk.c - added custom_edit_value to struct
	gftp_textcomboedt_widget_data

	* src/gtk/options_dialog.c - fixups for gftp_option_type_textcomboedt.
	The value will always convert %n to \n when reading in and then do the 
	opposite conversion when saving the variable. Also, added tooltips to 
	the options

	* lib/rfc959.c - remove FIXME comment

2003-4-18 Brian Masney <masneyb@gftp.org>
	* lib/config_file.c lib/gftp.h - removed gftp_option_type_subtree,
	gftp_option_type_table and gftp_option_type_newtable

	* lib/config_file.c - implemented gftp_set_request_option()

	* lib/gftp.h lib/config_file.c - changed declaration of
	ui_print_function in struct gftp_option_type. Also added
	ui_save_function field to this structure

	* lib/gftp.h added local_options_vars num_local_options_vars variables
	to gftp_request

	* lib/local.c (local_set_directory) - small improvements to this
	function

	* lib/misc.c - added gftp_copy_local_options()

	* lib/options.h - fix declaration of General tab

	* lib/protocols.c - free local options

	* lib/rfc2068.c - check to see if we're connecting to a FTP site via
	proxy

	* lib/rfc959.c lib/protocols.c - changes for CRAY directory listings

	* src/gtk/gftp-gtk.h - added struct gftp_options_dialog_data and
	struct gftp_textcomboedt_widget_data

	* src/gtk/options_dialog.c - start to use new configuration interface

	* src/gtk/transfer.c - remove FIXME note. This is already in
	lib/gftp.h

2003-4-13 Brian Masney <masneyb@gftp.org>
	* lib/config_file.c - fixed float config type

	* lib/gftp.h lib/misc.c - added gftp_gen_ls_string()

	* src/gtk/menu-items.c (dosave_directory_listing) 
	src/text/gftp-text.c (gftp_text_ls) - use 
	gftp_gen_ls_string()

2003-4-13 Brian Masney <masneyb@gftp.org>
	* lib/config_file.c - implemented gftp_set_global_option()

	* lib/gftp.h lib/misc.c - added gftp_tdata_new()

	* src/text/gftp-text.c src/gtk/transfer.c - use gftp_tdata_new()

	* src/gtk/bookmarks.c - In run_bookmark(), use gftp_parse_bookmark()
	function. Renamed all instances of gftp_bookmarks to
	gftp_bookmarks_var

	* src/gtk/gftp-gtk.[ch] - added global variables viewedit_processes
	and viewedit_processes_done. These used to be declared in
	lib/options.h

	* src/gtk/gftp-gtk.h (struct gftp_window_data) - removed sortcol and
	sortasds variables. Added prefix_col_str variable. This will either be
	local or remote

	* src/gtk/misc-gtk.c - removed r_gethostbyname() and r_getservbyname()

	* src/gtk/transfer.c - removed gftp_gtk_calc_kbs(), get_status() and
	parse_attribs(). These are in the lib/ directory now. Also, use
	g_static_mutex_*() functions from glib instead of pthread_mutex_*()

	* src/gtk/bookmark.c src/gtk/dnd.c src/gtk/menu-items.c
	src/gtk/transfer.c - use g_strdup() instead of g_malloc()/strcpy()

	* src/gtk/options_dialog.c - commented out large parts of this file.
	This file is busted at the moment

	* src/gtk/*.[ch] - Use new configuration interface in all source 
	files. Updated copyright dates on all source files

2003-4-9 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h lib/config_file.c - reordered config option types. Added
	gftp_option_type_textcomboedt type

	* lib/options.h lib/rfc959.c - moved gftp_proxy_type to rfc959.c

	* lib/rfc959.c - added proxy_type that is
	gftp_option_type_textcomboedt. Consolidated help text into comment.
	In parse_ftp_proxy_string(), improve parsing of proxy config

2003-4-8 Brian Masney <masneyb@gftp.org>
	* src/text/gftp-text.c lib/misc.c - moved r_gethostbyname() and 
	r_getservbyname() to lib/misc.c. Now uses GMutex functions

	* lib/config_file.c lib/gftp.h lib/options.h - added config 
	variable type textcombo. default_protocol uses this

	* lib/config_file.c (gftp_read_config_file) - when reading in the
	list of supported protocols, add the protocol names to the list
	associated with default_protocol. Also, don't try to have
	default_protocol fall back to FTP. The code that uses this will fall
	back properly

	* lib/gftp.h (struct gftp_transfer) - renamed node to user_data

	* lib/misc.c lib/gftp.h - moved parse_attribs() from
	src/gtk/transfer.c to misc.c. Renamed to gftp_parse_attribs()

	* lib/protocols.c lib/gftp.h - moved get_status() from
	src/gtk/transfer.c to protocols.c. Renamed to
	gftp_get_transfer_status(). Uses GMutex functions


2003-4-7 Brian Masney <masneyb@gftp.org>
	* src/gtk/bookmarks.c - renamed struct gftp_bookmarks to
	gftp_bookmarks_var. In run_bookmark(), use gftp_parse_bookmark()

	* src/gtk/bookmarks.c src/gtk/dnd.c src/gtk/menu-items.c
	src/gtk/transfer.c - use g_strdup() instead of g_malloc()/strcpy()

	* src/gtk/dnd.c src/gtk/menu-items.c - don't use depreciated macros 
	to access the request structure 

	* src/gtk/*.c - use new gftp_lookup_global_option() and
	gftp_lookup_request_option() functions

	* src/gtk/gftp-gtk.h src/gtk/gftp-gtk.c - moved viewedit_processes and
	viewedit_process_done variables from lib/gftp.h and lib/options.h

	* src/gtk/transfer.c - removed gftp_gtk_calc_kbs(). This is now in
	lib/protocols.c. Removed Binary/Ascii conversion. This is all done in
	lib/rfc959.c

2003-4-6 Brian Masney <masneyb@gftp.org>
	* lib/config_file.c src/text/gftp-text.c - changed arguments of 
	gftp_read_config_file() and gftp_read_bookmarks() to take an argument
	to the path of the global config directory. The text/gtk+ port will
	just pass SHARE_DIR. The native MacOS X port that is in the works
	needs this (Nathan Robertson is currently working on this port)

	* lib/gftp.h lib/config_file.c - removed config variable type
	gftp_option_type_textarray

	* lib/gftp.h lib/config_file.c - removed copy_function from
	gftp_option_type_var. This is implemented with memcpy() instead

	* lib/rfc959.c - remember to rename all instances of firewall_* to 
	ftp_proxy_*

	* lib/sshv2.c - improved generating the argument list for the ssh
	client

	* lib/sshv2.c lib/misc.c lib/gftp.h - added len argument to
	ptym_open()

	* lib/protocols.c lib/misc.c lib/config_file.c - use g_strdup() 
	instead of g_malloc()/strcpy()

2003-4-5 Brian Masney <masneyb@gftp.org>
	* lib/config_file.c lib/options.h lib/gftp.h lib/rfc959.c
	lib/rfc2068.c lib/ssh.c - added new internal configuration interface. 
	Rather than having a global variable for each option, I have a global 
	hash table (gftp_global_options_htable) that I can look up option names
	by name using gftp_lookup_global_option(). I also an options hash 
	associated with a request structure, so I will be able to call 
	gftp_lookup_request_option(). I will be able to override options with 
	bookmarks or while transfers are in progress very easily now. Also, all
	options no longer have to appear in config_file.c, the per protocol 
	options can appear inside their own file

	* lib/gftp.h lib/bookmarks.c lib/local.c lib/rfc959.c lib/rfc2068.c -
	remove set_data_type and protocol name from struct gftp_request

	* lib/rfc959.c - renamed all firewall_* variables to ftp_proxy_* in
	the config file

	* lib/gftp.h lib/protocols.c lib/rfc959.c - renamed all GFTP_TYPE_* 
	vars to GFTP_DIRTYPE_*

	* lib/gftp.h - removed ascii field and renamed the node pointer to 
	user_data in struct gftp_file. In gftp_request, removed any setting 
	that is now stored in the global/local hash tables. Added
	register_module() pointer that will be called whenever the protocol is
	first loaded into gftp

	* lib/rfc959.c src/text/gftp-text.c - moved the ascii/binary 
	translation to rfc959.c. Also, moved any instance of automatically 
	setting the data type to rfc959.c as well.

	* lib/misc.c lib/sshv2.c - moved all ssh functions from misc.c to
	sshv2.c. I had these origionally in misc.c because I used to have 2 
	different SSH protocols

	* lib/protocols.c src/text/gftp-text.c - added gftp_calc_kbs() to 
=	protocols.c. This no longer needs to be in the different ports

	* src/text/gftp-text.c - read/write options based on new configuration
	interface

	* Use new configuration interface in all source files

	* Updated copyright dates on all source files

	* Note: GTK+ port is completely broken at the moment. I'll upload
	those changes whenever I get them done

2003-04-05  Duarte Loreto <happyguy_pt@hotmail.com>

        * configure.in: Added "pt" to ALL_LINGUAS.

2003-03-04  Yuriy Syrota  <rasta renome.rovno.ua>

	* configure.in: Added Ukrainian (uk) to ALL_LINGUAS
	
2003-2-25 Brian Masney <masneyb@gftp.org>
	* src/gtk/gftp-gtk.c - use gtk_container_add() instead of
	gtk_scrolled_window_add_with_viewport() 
	(from Kang Jeong-Hee <Keizi@mail.co.kr>)

2003-2-23 Brian Masney <masneyb@gftp.org>
	* lib/cache.c - added function gftp_parse_cache_entry(). Save
	request->server_type (output of SYST in FTP command) to the directory
	entry

	* lib/rfc959.c (rfc959_syst) - fix to parse the output correctly

	* src/{text,gtk}/Makefile.am - remove @LIBINTL@. The gettext.m4
	macro should automatically add this to the LIBS variable

	* acinclude.m4 - put largefile.m4 in here

2003-02-21  Pablo Saratxaga  <pablo@mandrakesoft.com>
	* configure.in: Added Catalan (ca) to ALL_LINGUAS

2003-2-17 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c lib/rfc959.c - added VMS directory listing support

	* lib/config_file.c lib/protocols.c - extra checks when stripping off
	carriage returns and linefeeds

2003-2-9 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (parse_time) - parse more time formats. Better
	error checking. If there was an error parsing this time,
	skip ahead to the next token

	* lib/rfc2068.c - this was completely broken. This was broken whenever
	I did the conversion over to use the gftp_get_line() function. 

	* lib/rfc959.c - use g_strdup instead of g_malloc/strcpy

2003-2-6 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h lib/protocols.c lib/rfc2068.c - put in new 
	parse_time() function that should work across all locales.
	It uses strptime() internally.

	* lib/misc.c - remove note from close statement

	* lib/config_file.c lib/gftp.h lib/options.h - remove ssh1_sftp_path
	option

2003-02-03  Daniel Yacob  <locales@geez.org>
	* configure.ac: Added "am" (Amharic) to ALL_LINGUAS.

2003-1-21 Brian Masney <masneyb@gftp.org>
	* configure.in - fix for Solaris. Move the initial declaration up
	in the source file

2003-1-21 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h - added server type defines. Added server_type field to 
	gftp_request

	* lib/local.c - use S_ISDIR and S_ISLINK macros

	* lib/protocols.c - (gftp_parse_ls*) - use hints from server_type for
	parsing directory listing

	* lib/rfc959.c - added function rfc959_syst. Call this on startup

	* lib/protocols.c lib/rfc959.c lib/sshv2.c - pass request structure
	to gftp_parse_ls

	* lib/sshv2.c - set server_type to be GFTP_TYPE_UNIX

2003-1-11 Brian Masney <masneyb@gftp.org>
	* autogen.sh - removed --intl and --no-changelog flags to gettextize

	* aclocal.m4 - updated

	* configure.in - and intl and po directories to AC_OUTPUT

	* cvsclean - remove more stuff

	* lib/bookmark.c (bookmark_parse_url) - use gftp_parse_bookmark
	  function

	* lib/cache.c - remove gftp_cache_get_url_prefix(). Use
	request->url_prefix instead

	* lib/config_file.c - use proper exit codes. Also complain if the 
	default protocol specified in the config file is invalid

	* lib/gftp.h lib/local.c lib/protocols.c - removed isblock, ischar,
	issocket and isfifo in struct gftp_file (not used anymore)

	* lib/gftp.h lib/misc.c - removed file_countlf (not used anymore)

	* lib/local.c lib/misc.c lib/protocols.c - various small cleanups

	* lib/misc.c (string_hash_function) - check key[i] instead of key[0]

	* lib/protocols.c lib/gftp.h - added gftp_parse_bookmark()

	* lib/rfc2068.c - if we are connected to a FTP url via a proxy, set
	request->url_prefix to be ftp. Added rfc2068_destroy() to free
	url_prefix whenever the structure is to be freed

2002-12-29 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h - don't include sys/sysmacros.h

	* src/gtk/transfer.c - more GFTP_EFATAL checks

2002-12-29 Brian Masney <masneyb@gftp.org>
	* lib/ssh.c lib/config_file.c lib/Makefile.am lib/gftp.h lib/options.h -
	removed old legacy SSH protocol and option to enable this protocol

	* lib/gftp.h - added GFTP_ERETRYABLE and GFTP_EFATAL error codes

	* lib/bookmark.c lib/local.c lib/protocols.c lib/rfc959.c lib/rfc2068.c
	lib/sshv2.c - return new error codes instead of -1 or -2

	* lib/misc.c (gftp_*_sort_function_ds) - changed return values

	* src/gtk/transfer.c (connect_thread) - if return value of 
	gftp_connect() is GFTP_EFATAL, don't attempt to retry the connection

2002-12-11 Brian Masney <masneyb@gftp.org>
	* configure.in - fix for enable/disable gtkport, textport and gtk20

2002-12-10 Brian Masney <masneyb@gftp.org>
	* configure.in - check for grantpt function

	* lib/misc.c (pty[ms]_open) - use Unix98 PTY allocation if grantpt()
	is on the current system

	* lib/gftp.h - include stropts.h if grantpt is here

2002-12-5 Brian Masney <masneyb@gftp.org>
	* Release final 2.0.14

	* lib/Chagelog-old - brief updates since 2.0.13

2002-12-4 Brian Masney <masneyb@gftp.org>
	* lib/misc.c (ssh_start_login_sequence) - if the word WARNING appears
	in the banner, don't log into the server

	* docs/sample.gftp/gftprc - removed use_default_dl_types line

2002-12-4 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (gftp_set_data_type) - return 0 if there is no
	protocol specific set_data_type function

	* src/gtk/transfer.c (gftp_gtk_transfer_files) - ascii/binary automatic
	switching fixes

2002-12-3 Brian Masney <masneyb@gftp.org>
	* lib/config_file.c lib/gftp.h lib/protocols.c - removed 
	use_default_dl_types option. This is always enabled by default now.

	* src/gtk/dnd.c src/gtk/transfer.c - fix for files that should be 
	transferred as ascii
	
2002-12-2 Brian Masney <masneyb@gftp.org>
	* src/gtk/bookmarks.c (run_bookmark) - don't override the value of
	need_userpass for SSH transfers

	* ChangeLog-old - clean up list of changes from 2.0.13 to 2.0.14rc1

	* README - minor fixes

	* configure.in - increment version to 2.0.14

	* debian/copyright - change my email address and webpage 

	* debian/rules - 2 small changes

	* TODO - added 1 item

2002-12-2 Brian Masney <masneyb@gftp.org>
	* src/gtk/misc-gtk.c (MakeEditDialog) - bind to enter and esc keys

2002-11-27 Brian Masney <masneyb@gftp.org>
	* Officially release 2.0.14rc1

	* lib/cache.c - take out a warning message

	* lib/misc.c lib/protocols.c lib/gftp.h lib/gtk/dnd.c lib/transfer.c -
	add second argument (free_request) to gftp_request_destroy

	* lib/protocols.c (gftp_parse_url) - make sure the request structure
	is cleared before we start to modify it

	* src/gtk/gftp-text.c - fixed crash if you didn't enter a username

2002-11-26 Brian Masney <masneyb@gftp.org>
	* configure.in - change version to 2.0.14rc1

	* lib/local.c - fix for uploading files. Move setting of hostname
	from local_connect() to local_init()

	* lib/misc.c (gftp_request) - copy only select fields over instead of
	whole structure

	* lib/protocols.c (gftp_request_new) - set datafd and cachefd to -1

	* lib/protocols.c (gftp_set_proxy_config) - allow a NULL proxy_config
	to be passed

	* src/gtk/misc-gtk.c (update_window) - don't show the hostname if we
	are connected via the local protocol

	* src/gtk/transfer.c (create_transfer) - check to see if this protocol
	is always connected

2002-11-25 Brian Masney <masneyb@gftp.org>
	* lib/misc.c (ssh_start_login_sequence) - fixes for when the initial
	SSH banner is bigger than 200 characters

	* lib/local.c (local_connect) - set request->hostname to local
	filesystem

	* lib/protocols.c (gftp_parse_url) - don't include 2 slashes for 
	the directory when parsing a local URL

	* src/gtk/chmod_dialog.c (chmod_dialog) - allow multiple files to be
	selected

	* src/gtk/dnd.c - small fixes

2002-11-23 Brian Masney <masneyb@gftp.org>
	* lib/sshv2.c - added more error checking so that the user won't get
	disconnected if they enter files or directories that don't exist
	
2002-11-23 Brian Masney <masneyb@gftp.org>
	* lib/local.c lib/rfc959.c lib/rfc2068.c lib/ssh.c lib/sshv2.c
	lib/gftp.h - added swap_socks function to gftp_request structure

	* lib/misc.c lib/protocols.c - move swap_socks() from misc.c to 
	protocols.c (renamed to gftp_swap_socks)

	* src/gtk/misc-gtk.c src/gtk/transfer.c - removed fix_display() 

	* src/gtk/delete_dialog.c src/gtk/transfer.c - changed all occurances of
	swap_socks() to gftp_swap_socks()

	* src/gtk/gftp-gtk.c src/gtk/gftp-gtk.h - removed gftp_is_started 
	variable

2002-11-21 Brian Masney <masneyb@gftp.org>
	* lib/local.c (local_put_file) - small fix

2002-11-21 Brian Masney <masneyb@gftp.org>
	* lib/misc.c lib/ssh.c lib/sshv2.c - improvements to the login
	sequence for SSH connections

	lib/sshv2.c - SSH transfers now works again
	
2002-11-21 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (gftp_get_next_line) - fixed several bugs 

	* lib/cache.c - Don't do a cache lookup in gftp_new_cache_entry(). In 
	gftp_find_cache_entry(), don't log an error to the user if we can't
	open up the cache file

	* lib/rfc959.c lib/rfc2068.c lib/protocols.c - small cache fixes

	* lib/cache.c lib/rfc2068.c lib/rfc959.c - pass full buffer size 
	instead of buffer size - 1 to gftp_get_line

2002-11-20 Brian Masney <masneyb@gftp.org>
	* lib/config_file.c - don't check buf[-1] for blank newlines in 
	gftp_read_config_file() and gftp_read_bookmarks_file() 

	* lib/misc.c (string_hash_function) - Fixes if the string was less 
	than 2 characters

	* src/gtk/transfer.c - unlock mutex before we destroy (for POSIX
	compliance)

	All 3 of these fixes are from Peter Osterlund <petero2@telia.com>

2002-11-20 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c lib/gftp.h - added gftp_get_line(), gftp_read(), 
	gftp_write(), gftp_writefmt(), and gftp_set_sockblocking() functions. 
	Added struct_gftp_getline_buffer for gftp_get_line function()

	* lib/cache.c lib/gftp.h lib/local.c lib/misc.c lib/protocols.c 
	lib/rfc2068.c lib/rfc959.c lib/ssh.c lib/sshv2.c - *_get_file() returns
	off_t instead of long. *_{get,put}_next_file_chunk returns ssize_t 
	instead of size_t. Added *_set_config_options function to gftp_request
	structure and protocol files. Use the new network functions
	documented above. Convert usage of ANSI C IO (FILE *) to standard BSD 
	sockets so that I can use timeouts properly with select

	* lib/misc.c (ssh_start_login_sequence) - use gftp_set_sockblock(),
	gftp_read() and gftp_write() functions

	* lib/protocols.c - move some protocol specific code to the protocol
	specific files

	* lib/local.c - log succesful messages to gftp_logging_misc instead
	of gftp_logging_error

	* lib/cache.c - log some more error conditions to the user

	* lib/rfc959.c - added rfc959_getcwd(). In, 
	rfc959_accept_active_connection(), set set socket to blocking mode
	before calling accept()

	* src/text/gftk-text.c - If we get no files in gftp_text_ls(),
	return instead of segfaulting

	* src/gtk/gftp-gtk.c - expand the port field in the toolbar to be 45
	pixels wide

	* src/text/gftp-text.c src/gtk/misc-gtk.c src/gtk/transfer.c 
	src/gtk/view_dialog.c - changes for conversion of request->{sock,data} 
	from ANSI C IO (FILE *) to standard BSD sockets

2002-11-11 Brian Masney <masneyb@gftp.org>
	* configure.in - compile GTK+ 2.0 port by default

2002-11-11 Brian Masney <masneyb@gftp.org>
	* src/gtk/dnd.c - fixes to DnD code

	* src/gtk/gftp-gtk.[ch] - added main_thread_id variable

	* src/gtk/misc-gtk.c (ftp_log) - don't check the user_data to see if 
	we're in a child thread, instead compare the value of pthread_self()
	with main_thread_id

	* src/gtk/chmod_dialog.c src/gtk/delete_dialog.c src/gtk/menu-items.c
	src/gtk/mkdir_dialog.c src/gtk/rename_dialog.c src/gtk/transfer.c -
	don't set user_data to 0x1 if we're in a child thread

	* lib/gftp.h src/gtk/misc-gtk.c src/text/gftp-text.c - make 
	r_getservbyname() available even if HAVE_GERADDRINFO is defined
	
	* lib/misc.c (make_ssh_exec_args) - if port is zero, lookup the default
	port for the ssh service

	* lib/protocols.c (gftp_connect_server) - if the port is zero, store
	the default port for that protocol there

	* src/gtk/transfer.c - added function update_window_transfer_bytes().
	Be able to update the directory download progress in window1 now

	* lib/config_file.c lib/misc.c lib/protocols.c lib/ssh.c lib/sshv2.c
	src/text/gftp-text.c - use g_strdup() instead of g_strconcat() where
	needed

2002-11-11 Andras Timar <timar@gnome.hu>
	* configure.in: added 'hu' to ALL_LINGUAS

2002-11-6 Brian Masney <masneyb@gftp.org>
	* src/gtk/gftp-gtk.c - connect to the select_row signal in the file
	listbox to grab the double click event

2002-11-5 Brian Masney <masneyb@gftp.org>
	* src/gtk/dnd.c - some code cleanups. Also, add the file transfer with
	the function add_file_transfer()

	* src/gtk/misc-gtk.c - remove several unneeded calls to fix_display()

	* src/gtk/gftp-gtk.c (list_dblclick) - add a note about the double
	click stuff not working properly

2002-11-5 Brian Masney <masneyb@gftp.org>
	* src/gtk/transfer.c - use stock icons in GTK+ 2.0 port

2002-11-5 Brian Masney <masneyb@gftp.org>
	* lib/*.c src/gtk/*.c - removed function declarations for the static 
	functions from the top of the file. I had to rearrange the order of a 
	bunch of functions to avoid compiler warnings

	* lib/gftp.h - include sys/sysmacros.h. If major() and minor() isn't
	defined, give a compiler warning and define our own

	* lib/local.c (local_get_next_file) - if this file is a device, store
	the major/minor number in the file size

	* src/gtk/misc-gtk.c (add_file_listbox) - if this file is a device, 
	use the major() and minor() macros to display the major and minor number

2002-11-5 Brian Masney <masneyb@gftp.org>
	* lib/cache.c lib/gftp.h - added second argument ignore_directory to
	gftp_delete_cache_entry

	* src/gtk/menu-items.c (disconnect) - when disconnecting from the 
	remote site, clear all cache entries for that site

	* src/gtk/delete_dialog.c src/gtk/misc-gtk.c src/gtk/mkdir_dialog.c -
	pass a 0 as second argument to gftp_delete_cache_entry

2002-10-31 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c (gftp_get_next_file) - don't use g_filename_to_utf8.
	If g_locale_to_utf8 fails, print out a warning to the user on the 
	console

2002-10-31 Brian Masney <masneyb@gftp.org>
	* src/gtk/*.[ch] - don't check for gtk+ version based on the minor 
	version. May cause problems later on.

	* lib/protocols.c src/gtk/bookmarks.c src/gtk/misc-gtk.c - use UTF8
	functions for user data when using glib 2.0

2002-10-30 Brian Masney <masneyb@gftp.org>
	* src/gtk/gftp-gtk.c (CreateMenus) - no longer use depreciated
	_gtk_accel_group_attach in GTK+ 2.0 port. Instead use 
	gtk_window_add_accel_group for both GTK+ ports 
	(from Nam SungHyun <namsh@kldp.org>)

2002-10-30 Brian Masney <masneyb@gftp.org>
	* src/gtk/transfer.c (getdir_thread) - set use_jmp_environment to 0		instead of 1

	* src/gtk/misc-gtk.c (signal_handler) - if use_jmp_environment is 0,
	and SIGINT is received, terminate the program

2002-10-29 Brian Masney <masneyb@gftp.org>
	* src/gtk/chmod_dialog.c src/gtk/delete_dialog.c src/gtk/gftp-gtk.c 
	src/gtk/gftp-gtk.h src/gtk/menu-items.c src/gtk/misc-gtk.c 
	src/gtk/mkdir_dialog.c src/gtk/rename_dialog.c src/gtk/transfer.c -
	improved and simplified signal handling code

2002-10-29 Brian Masney <masneyb@gftp.org>
	* lib/config_file.c lib/gftp.h lib/options.h src/gtk/menu-items.c
	src/gtk/view_dialog.c - removed tmp_directory variable. Instead use 
	g_get_tmp_dir ()

	* lib/gftp.h (struct gftp_request) - added int cancel : 1 

	* lib/misc.c lib/protocols.c lib/rfc2068.c lib/rfc959.c lib/ssh.c
	lib/sshv2.c - check for interrupted signal calls

	* lib/protocols.c - added gftp_fgets() and gftp_fwrite() functions

	* src/gtk/delete_dialog.c src/gtk/misc-gtk.c src/gtk/transfer.c - use 
	g_main_context_iteration in GTK+ 2.0 port

	* src/gtk/misc-gtk.c - use g_object_unref instead of gdk_drawable_unref
	in GTK+ 2.0 port

2002-10-17 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c - add gftp_abort_transfer function. Also, in 
	gftp_transfer_file, when we do a gftp_put_file, if that fails,
	try to abort the transfer.

	* lib/rfc959.c - add rfc959_abort_transfer function

	* lib/rfc2068.c, lib/local.c - point abort_transfer pointer to 
	rfc2068_end_transfer and local_end_transfer respectively

	* lib/ssh.c, lib/sshv2.c - add FIXME to implement abort function

	* src/gtk/transfer.c - when we stop a transfer, try to abort it 
	first. If that fails, disconnect from the site completely

2002-10-15 Brian Masney <masneyb@gftp.org>
	* lib/config_file.c - enable combo in GTK port for Proxy server type

	* lib/misc.c (gftp_sort_filelist) - make sure prev pointer to first
	entry is NULL

	* lib/protocols.c (copy_token) - when setting the end position of 
	the token to \0, after we're done set it back to the origional position

	* src/gtk/gftp-gtk.c, src/gtk/menu-items.c - changed g_list_first (list)
	to just list

2002-10-13 Brian Masney <masneyb@gftp.org>
        * lib/gftp.h (struct gftp_config_vars_tag) - remove shown flag and
        added ports_shown flag. Added GFTP_PORTS_TEXT, GFTP_PORTS_GTK,
        and GFTP_PORTS_ALL flags

        * lib/config_file.c - update to use new fields.

        * lib/config_file.c, lib/options.h, lib/gftp.h - added new global
        options: local_sortcol, local_sortasds, remote_sortcol, remote_sortasds

        * src/gtk/gftp-gtk.c - sort based on parameters above. Also, if a url
        was given on the command line, don't connect to it until the local side
        has been setup

        * src/gtk/options_dialog.c - only show variables that have GFTP_PORT_GTK
        set

        * src/text/gftp-text.c - add help screen for set command. Added command
        clear cache. Sort the filelist based on the configuration options.

        * configure.in - update to version 2.0.14

        * cvsclean - clean up the Makefile.am file better

2002-10-07 Brian Masney <masneyb@gftp.org>
	* lib/local.c - fixed file uploads

	* lib/rfc959.c - fixed crash if you uploaded/downloaded a file that
	you didn't have permission to

	* src/gtk/transfer.c - display fixes for hostname

	* autogen.sh - pass -c to automake

2002-10-07 Brian Masney <masneyb@gftp.org>
        * docs/sample.gftp/gftp-mini-logo.xpm - added mini gFTP logo file
        from Debian. This can be used as a menu icon.

2002-10-06 Brian Masney <masneyb@gftp.org>
	* src/gtk/delete_dialog.c, src/gtk/gftp-gtk.c, src/gtk/misc-gtk.c, 
	src/gtk/transfer.c - Fixed dead-locks with GDK_THREADS_{ENTER,LEAVE}

	* configure.in, src/gtk/Makefile.am - Use GTHREAD_LIBS

2002-10-03 Brian Masney <masneyb@gftp.org>
	* Makefile.am - remove intl and m4 directory from subdirs. autogen.sh
	will automagically add these for me.

	* autogen.sh - remove check for libtool

	* configure.in - link in gthread

	* cvsclean - added this script

	* *.[ch] - added $Id: ChangeLog,v 1.511 2006/12/23 20:10:06 masneyb Exp $ tags

	* debian/* - updated files from Debian maintainer

2002-10-03 Brian Masney <masneyb@gftp.org>
	* src/gtk/gftp-gtk.c - call g_thread_init (NULL)

	* src/gtk/delete_dialog.c, src/gtk/misc-gtk.c, src/gtk/transfer.c -
	call gdk_threads_enter() and gdk_threads_leave()

2002-09-24 Brian Masney <masneyb@gftp.org>
	* configure.in - take [external] off of AM_GNU_GETTEXT

2002-09-24 Brian Masney <masneyb@gftp.org>
	* intl/ - remove this directory

2002-09-24  gettextize  <bug-gnu-gettext@gnu.org>
	* Makefile.am (SUBDIRS): Add intl,
	(ACLOCAL_AMFLAGS): New variable.
	(EXTRA_DIST): Add config.rpath mkinstalldirs.
	* configure.in (AC_OUTPUT): Add intl/Makefile,

2002-09-24 Brian Masney <masneyb@gftp.org>
	* lib/config_file.c - separated saving of bookmarks from 
	gftp_write_config_file() to gftp_write_bookmarks_file(). Bookmarks will
	no longer be rewritten to disk every time gFTP exits

	* src/gtk/bookmarks.c - call gftp_write_bookmarks_file() instead of
	gftp_write_config_file() when altering a bookmark

	* configure.in - Fixed problem with the text port being compiled 
	against glib 1.2 if we wanted it to be compiled against glib 2.0 
	instead

	* autogen.sh - add this build script

2002-09-24 Brian Masney <masneyb@gftp.org>
	* Remove intl/ directory from CVS

2002-09-18 Brian Masney <masneyb@gftp.org>
        * Updated French translation (from Damien Mascr?
        <damienmascre@free.fr>)

        * Updated Japanese translation (from Ryoichi INAGAKI
        <inagaki@ryo1.net>)

2002-09-17 Brian Masney <masneyb@gftp.org>
	* src/gtk/bookmarks.c - Fixed crash that would occur if you saved the 
	changes two times in the bookmark editor. Also, fixed several memory 
	leaks

2002-09-16 Brian Masney <masneyb@gftp.org>
	* po/de.po - Updated German translation (from Matthias Haase
        <matthias_haase@bennewitz.com>)

	* po/ru.po - Updated Russian translation (from Vitaly Lipatov 
	<LAV@VL3143.spb.edu>)

2002-09-16 Brian Masney <masneyb@gftp.org>
	* src/gtk/gftp-gtk.c, src/gtk/menu-items.c, src/gtk/misc-gtk.c - 
	Fixed compile errors when compiling against GTK+ 1.2

	* src/gtk/misc-gtk.c (MakeEditDialog, MakeYesNoDialog) - fixed to work
	with GTK+ 1.2

2002-09-15 Brian Masney <masneyb@gftp.org>
	* lib/gftp.h (struct gftp_transfer) - changed the type of numfiles and
	numdirs from unsigned long to long. This must be a signed field. This 
	is a bug I introduced a few days ago.

	* lib/local.c (local_put_file) - remove the + off of the ab mode to
	fdopen. This is also a bug I introduced a few days ago.

	* src/gtk/transfer.c (gftp_gtk_calc_kbs) - make sure that the variable
	difftime isn't a negative number when computing the KB/s

	* src/gtk/menu-items.c (save_directory_listing) - remove casts to
	GTK_OBJECT for the str variable

	* src/gtk/gftp-gtk.c - use GTK_STOCK_* icons in place of left.xpm,
	right.xpm, up.xpm, down.xpm and stop.xpm in GTK+ 2.0 port

	* src/gtk/bookmarks.c - show GTK_STOCK_* icons on the popup menu

	* src/gtk/bookmarks.c, src/gtk/chmod_dialog.c, src/gtk/menu-items.c,
        src/gtk/misc-gtk.c, src/gtk/options_dialog.c and 
	src/gtk/view_dialog.c - use gtk_dialog_new_with_buttons in GTK+ 2.0 
	port to create the dialog.  Also, associate gFTP icon with this dialog

	* src/gtk/misc-gtk.c - changed the interface of MakeEditDialog and
	MakeYesNoDialog. In the GTK+ 2.0 port, I now use stock icons in the 
	dialog buttons.

2002-09-11 Marius Andreiana <mandreiana@yahoo.com>

	* configure.in: added 'ro' to ALL_LINGUAS

2002-09-08 Brian Masney <masneyb@gftp.org>
	* lib/misc.c - added gftp_sort_filelist function

	* src/gtk/gftp-gtk.c (sortrows) - call gftp_sort_filelist now
	to do the sorting

	* config.sub, install-sh, missing, mkinstalldirs - new versions from
	automake 1.4

	* src/text/gftp-text.c, lib/protocols.c - more large file support

2002-09-04 Brian Masney <masneyb@gftp.org>
	* lib/rfc959.c - FXP fixes (from Tobias Gruetzmacher 
	<tobias@portfolio16.de>)

2002-09-03 Brian Masney <masneyb@gftp.org>
	* lib/rfc2068.c - HTTP fixes when running under Solaris. Read from 
	request->sockfd and write to request->sockfd_write (Solaris doesn't 
	like it when you read/write to the same FILE structure)

	* lib/local.c - encode major/minor numbers for a device in the file 
	size. This is probably still busted for other platforms

	* lib/rfc2068.c, lib/rfc959.c, lib/ssh.c, lib/sshv2.c - Sanity 
	checking on the fdopen() calls. Also make sure that all of them have a 
	+ in their open mode. Doesn't affect UNIX, but it does affect Windows

	* src/gtk/menu-items.c, src/gtk/gftp-gtk.c, src/gtk/misc-gtk.c - added 
	function save_directory_listing. It's in the Local and Remote menus

	* src/gtk/view_dialog.c - changed log message slightly. The new string 
	should already be in the po files translated

2002-08-30 Brian Masney <masneyb@gftp.org>
	* lib/misc.c - don't allow passing a 0 to log10

2002-08-30 Brian Masney <masneyb@gftp.org>
	* src/gtk/gftp-gtk.c - Use stockitem for menu items in gtk+ 2.0.
	Use _gtk_accel_group_attach for gtk 2.0 (removes FIXME). Only call 
	bind_textdomain_codeset if we're in gtk 2.0 
	(all from Sung-Hyun Nam <namsh@kldp.org>)

2002-08-29 Sung-Hyun Nam <namsh@kldp.org>
	* po/ko.po - language team change

2002-08-29 Sung-Hyun Nam <namsh@kldp.org>
	* po/ko.po - Updated Korean translation

2002-08-29 Yanko Kaneti <yaneti@declera.com>
	* po/bg.po - Updated Bulgarian translation

2002-08-23 Brian Masney <masneyb@gftp.org>
	* configure.in - small build fixes

2002-08-23 Brian Masney <masneyb@gftp.org>
	* lib/rfc959.c - put anonymous ftp checks in here instead of scattered
	elsewhere

	* src/gtk/gftp-gtk.c - call bind_textdomain_codeset in gtk+ port. 
	Removed anonymous FTP stuff

	* lib/local.c - open files with O_LARGEFILE if _LARGEFILE_SOURCE
	is defined

	* lib/protocols.c - removed anonymous FTP stuff

	* lib/rfc2068.c - don't check for anonymous username

	* src/gtk/misc-gtk.c - translation fixes for menus 
	(from Owen Taylor <otaylor@redhat.com>)

2002-08-23 <baddog@cvs.gnome.org>
	* configure.in - (ALL_LINGUAS): zh_CN.GB2312 -> zh_CN, zh_TW.Big5 -> 
	zh_TW

2002-08-23 Abel Cheung <maddog@linux.org.hk>
	* zh_TW.Big5.po renamed to zh_TW.po

	* zh_CN.GB2312.po renamed to zh_CN.po

	* zh_TW.Big5.gmo - Removed.

	* Makefile.in.in, gftp.pot - Remove generated file.

2002-08-23 <baddog@cvs.gnome.org>
	* po/.cvsignore - Shhhhhh

2002-08-14 <cneumair@cvs.gnome.org>
	* po/de.po - Fixed German translation (charset, header)

2002-08-05 Brian Masney <masneyb@gftp.org>
	* lib/protocols.c - When we connect to a remote server, don't change 
	the hostname to the PTR record of the hostname

	* src/gtk/transfer.c - Fixed crash if you was already transfering a 
	file, and you started another transfer, and if you hit cancel at the 
	Overwrite/Resume/Skip dialog

	* docs/sample.gftp/gftprc - put the ext= lines back in the config file

	* po/es.po - Spanish updates (from Gustavo D. Vranjes 
	<gvranjes@softhome.net>)

	* po/nl.po - Dutch updates (from Myckel Habets 
	<myckelhabets@netscape.net>)

2002-07-19 Brian Masney <masneyb@gftp.org>
	* gFTP 2.0.13 released

